<?php
/*
	Plugin Name: Aerious Core
	Plugin URI: http://aerious.technologybell.com/
	Description: Aerious Core - VC Elements, Custom Posts Types and Shortcodes.
	Version: 1.1.2
	Author: TBS-Coders
	Author URI: https://themeforest.net/user/tbs-coders
*/
 
load_plugin_textdomain( 'aerious-core', false, dirname( plugin_basename( __FILE__ ) ) . '/languages' ); 

if ( is_admin() ) {
	// Initialize Shortcodes
	require_once( plugin_dir_path( __FILE__ ) . 'tinymce/tinymce.php' );
}

// Initialize Custom Post Types
require_once( plugin_dir_path( __FILE__ ) . 'aerious_post_types.php' );

function aerious_enqueue_plugin_scripts( $plugin_array ){
    //enqueue TinyMCE plugin script with its ID.
    $plugin_array[ "aerious_shortcode_btn" ] =  plugin_dir_url(__FILE__) . "tinymce/tinymce.js";
    return $plugin_array;
}

add_filter( "mce_external_plugins", "aerious_enqueue_plugin_scripts" );

// Add elements shortcode button to the html Visul editor bar
function aerious_register_buttons_editor( $buttons ){
    //register buttons with their id.
    array_push( $buttons, "aerious_shortcode" );
    return $buttons;
}

add_filter("mce_buttons", "aerious_register_buttons_editor");

// Add elements shortcode button to the html Text editor bar
function aerious_quicktags_button() {
    if ( wp_script_is( 'quicktags' ) ){ ?>
		<script type="text/javascript">
			QTags.addButton( 'aerious_shortcode_editor', 'Shortcodes', '', '', 'f', 'Aerious Elements' );
		</script> <?php
    }
}
add_action( 'admin_print_footer_scripts', 'aerious_quicktags_button' );

// Register CSS And JS
function load_aerious_core_scripts() {
	wp_register_style( 'aerious-core-css', plugins_url('/assets/css/aerious_core.min.css', __FILE__), false, '1.0.0' );
	wp_enqueue_style( 'aerious-core-css' );
	wp_register_script( 'aerious-core-js', plugins_url('/assets/js/aerious_core.js', __FILE__), array ( 'jquery' ), null, true );
	wp_enqueue_script( 'aerious-core-js' );
}
add_action( 'admin_enqueue_scripts', 'load_aerious_core_scripts' );

// Reordered aerious_core plugin at the end of the plugin list
/**
 * Register with hook 'wp_enqueue_scripts', which can be used for front end CSS and JavaScript
 */
add_action( 'wp_enqueue_scripts', 'load_aerious_core_fe_scripts' );

/**
 * Enqueue plugin style-file
 */
function load_aerious_core_fe_scripts() {
    // Respects SSL, Style.css is relative to the current file
    wp_register_style( 'prefix-style', plugins_url('/assets/css/style.css', __FILE__), false, '1.0.0' );
    wp_enqueue_style( 'prefix-style' );
}
function aerious_reorder_plugin() {
	$wp_path_to_this_file = preg_replace( '/(.*)plugins\/(.*)$/', WP_PLUGIN_DIR . "/$2", __FILE__ );
	$this_plugin = plugin_basename( trim( $wp_path_to_this_file ) );
	$active_plugins = get_option('active_plugins');
	$this_plugin_key = array_search( $this_plugin, $active_plugins );

	array_splice( $active_plugins, $this_plugin_key, 1 );
	array_push( $active_plugins, $this_plugin );
	update_option('active_plugins', $active_plugins);
}
add_action( "plugins_loaded", "aerious_reorder_plugin" );

// Adding Number field for Visual Composer
if( function_exists( 'vc_add_shortcode_param' ) ){
	function aerious_vc_number_field( $settings, $value ){
	$dependency = function_exists('vc_generate_dependencies_attributes') ? vc_generate_dependencies_attributes($settings) : '';
		return '<input name="' . $settings['param_name']
		. '" class="wpb_vc_param_value '
		. $settings['param_name'] . ' ' . $settings['type'] . '_field" type="number" value="'
		. $value . '" ' . $dependency . ' style="width: 110px;" /> ' . $settings['suffifx'];
	}
	vc_add_shortcode_param( 'number', 'aerious_vc_number_field' );	
}

/** 
 * User profile contact fields
 * **/
function aerious_contactmethods( $contactmethods ) {
	
	$contactmethods[ 'position' ] 	= __( 'Position', 'aerious-core' );
	$contactmethods[ 'facebook' ] 	= __( 'Facebook', 'aerious-core' );
	$contactmethods[ 'twitter' ] 	= __( 'Twitter', 'aerious-core' );
	$contactmethods[ 'linkedin' ] 	= __( 'LinkedIn', 'aerious-core' );
	$contactmethods[ 'dribble' ] 	= __( 'Dribble', 'aerious-core' );
	$contactmethods[ 'gplus' ] 		= __( 'Google+', 'aerious-core' );
	$contactmethods[ 'pinterest' ] 	= __( 'Pinterest', 'aerious-core' );
	$contactmethods[ 'vimeo' ] 		= __( 'Vimeo', 'aerious-core' );
	$contactmethods[ 'youtube' ] 	= __( 'Youtube', 'aerious-core' );
	$contactmethods[ 'flickr' ] 	= __( 'Flickr', 'aerious-core' );
	$contactmethods[ 'instagram' ] 	= __( 'Instagram', 'aerious-core' );
	$contactmethods[ 'behance' ] 	= __( 'Behance', 'aerious-core' );
	$contactmethods[ 'skype' ] 		= __( 'Skype', 'aerious-core' );
	$contactmethods[ 'soundcloud' ] = __( 'Soundcloud', 'aerious-core' );
	$contactmethods[ 'yelp' ] 		= __( 'Yelp', 'aerious-core' );
	$contactmethods[ 'tumblr' ] 	= __( 'Tumblr', 'aerious-core' );
	$contactmethods[ 'deviantart' ] = __( 'Deviantart', 'aerious-core' );
	$contactmethods[ 'weibo' ] 		= __( 'Weibo', 'aerious-core' );
	$contactmethods[ 'github' ] 	= __( 'Github', 'aerious-core' );
	$contactmethods[ 'slideshare' ] = __( 'Slideshare', 'aerious-core' );
	$contactmethods[ 'reddit' ] 	= __( 'Reddit', 'aerious-core' );
	$contactmethods[ 'digg' ] 		= __( 'Digg', 'aerious-core' );
	$contactmethods[ 'xing' ] 		= __( 'Xing', 'aerious-core' );
	
	return $contactmethods;
}
add_filter( 'user_contactmethods','aerious_contactmethods',10,1);




function aerious_redux_remove_demo() { // Be sure to rename this function to something more unique
    if ( class_exists('ReduxFrameworkPlugin') ) {
        remove_filter( 'plugin_row_meta', array( ReduxFrameworkPlugin::get_instance(), 'plugin_metalinks'), null, 2 );
    }
    if ( class_exists('ReduxFrameworkPlugin') ) {
        remove_action('admin_notices', array( ReduxFrameworkPlugin::get_instance(), 'admin_notices' ) );    
    }
}
add_action('init', 'aerious_redux_remove_demo');




/* Redux Core */
require_once( plugin_dir_path( __FILE__ ) . 'redux-core/admin-init.php' );


/* Sidebar Generator */
require_once( plugin_dir_path( __FILE__ ) . 'sidebar-generator/sidebar_generator.php' );


/* cmb2 Package file */
require_once( plugin_dir_path( __FILE__ ) . 'cmb2/init.php' );

/* Meta Boxes */
 
require_once( plugin_dir_path( __FILE__ ) . '/metaboxes/metaboxes.php' );

/* Social Sahre Button */

require_once(plugin_dir_path( __FILE__ ) . '/social_share/social_share.php' );

/* Like Button */

require_once(plugin_dir_path( __FILE__ ) . '/like_button/like_button.php' );

/** Widgets* **/

require_once( plugin_dir_path( __FILE__ ) . '/widgets/widgets.php' );

/**Login Register**/

require_once( plugin_dir_path( __FILE__ ) . '/login_register/login_register.php' );