<?php

/** Portfolio Post Type **/
function aerious_portfolio_post_type() {

    $labels = array(
        'name'                => _x( 'Portfolios', 'Portfolios', 'aerious-core' ),
        'singular_name'       => _x( 'Portfolio', 'Portfolio', 'aerious-core' ),
        'menu_name'           => __( 'Portfolios', 'aerious-core' ),
        'parent_item_colon'   => __( 'Parent Portoflio:', 'aerious-core' ),
        'all_items'           => __( 'All Portoflios', 'aerious-core' ),
        'view_item'           => __( 'View Portoflio', 'aerious-core' ),
        'add_new_item'        => __( 'Add New Portoflio', 'aerious-core' ),
        'add_new'             => __( 'Add New', 'aerious-core' ),
        'edit_item'           => __( 'Edit Portoflio', 'aerious-core' ),
        'update_item'         => __( 'Update Portoflio', 'aerious-core' ),
        'search_items'        => __( 'Search Portoflio', 'aerious-core' ),
        'not_found'           => __( 'Not found', 'aerious-core' ),
        'not_found_in_trash'  => __( 'Not found in Trash', 'aerious-core' ),
    );
    $rewrite = array(
        'slug'                => 'portfolio-item',
        'with_front'          => true,
        'pages'               => true,
        'feeds'               => true,
    );
    $args = array(
        'label'               => __( 'Portfolio', 'aerious-core' ),
        'description'         => __( 'Portfolio Description', 'aerious-core' ),
        'labels'              => $labels,
        'supports'            => array( 'title', 'editor', 'thumbnail', 'revisions', 'comments' ),
        'taxonomies'          => array( 'portfolio-category', 'portfolio-skills', 'portfolio-tags'),
        'hierarchical'        => false,
        'public'              => true,
        'show_ui'             => true,
        'show_in_menu'        => true,
        'show_in_nav_menus'   => true,
        'show_in_admin_bar'   => true,
        'menu_position'       => 5,
        'can_export'          => true,
        'has_archive'         => false,
        'exclude_from_search' => false,
        'publicly_queryable'  => true,
        'rewrite'             => $rewrite,
        'capability_type'     => 'page',
    );
    register_post_type( 'portfolio', $args );
    
    $labels = array(
        'name'              => __('Portfolio Categories', 'aerious-core'),
        'singular_name'     => __('Portfolio Category', 'aerious-core'),
        'search_items'      =>  __('Search Portfolio Category', 'aerious-core'),
        'all_items'         => __('All Portfolio Category', 'aerious-core'),
        'parent_item'       => __('Parent Portfolio Category', 'aerious-core'),
        'parent_item_colon' => __('Parent Portfolio Category:', 'aerious-core'),
        'edit_item'         => __('Edit Portfolio Category', 'aerious-core'),
        'update_item'       => __('Update Portfolio Category', 'aerious-core'),
        'add_new_item'      => __('Add New Portfolio Category', 'aerious-core'),
        'new_item_name'     => __('New Portfolio Category', 'aerious-core'),
        'menu_name'         => __('Categories', 'aerious-core')
    );
    $args = array(
        'hierarchical'      => true,
        'labels'            => $labels,
        'show_ui'           => true,
        'query_var'         => true,
        'query_var'         => true,
        'show_in_nav_menus' => true,
        'rewrite'           => array(
            'slug'          => 'portfolio-category',
            'hierarchical'  => true
        )
    );
    register_taxonomy('portfolio-category', 'portfolio', $args);
    
    $labels = array(
        'name'                          => __('Portfolio Skills', 'aerious-core'),
        'singular_name'                 => __('Portfolio Skill', 'aerious-core'),
        'search_items'                  =>  __('Search Portfolio Skill', 'aerious-core'),
        'all_items'                     => __('All Portfolio Skills', 'aerious-core'),
        'parent_item'                   => __('Parent Portfolio Skill', 'aerious-core'),
        'parent_item_colon'             => __('Parent Portfolio Skill', 'aerious-core'),
        'edit_item'                     => __('Edit Portfolio Skill', 'aerious-core'),
        'update_item'                   => __('Update Portfolio Skill', 'aerious-core'),
        'add_new_item'                  => __('Add New Portfolio Skill', 'aerious-core'),
        'new_item_name'                 => __('New Portfolio Skill', 'aerious-core'),
        'menu_name'                     => __('Skills', 'aerious-core'),
    );
    $args = array(
            'hierarchical'       => true,
            'labels'             => $labels,
            'show_ui'            => true,
            'query_var'          => true,
            'show_in_nav_menus'  => true,
            'rewrite'            => array(
                                    'slug' => 'portfolio-skill',
                                    'hierarchical'  => true,
                                    ),
        );
     register_taxonomy('portfolio-skills', 'portfolio', $args);

     $labels = array(
        'name'                          => __('Portfolio Tags', 'aerious-core'),
        'singular_name'                 => __('Portfolio Tag', 'aerious-core'),
        'search_items'                  =>  __('Search Portfolio Tag', 'aerious-core'),
        'popular_items'                 => __( 'Popular Tags', 'aerious-core' ),
        'all_items'                     => __('All Portfolio Tags', 'aerious-core'),
        'parent_item'                   => null,
        'parent_item_colon'             => null,
        'edit_item'                     => __('Edit Portfolio Tag', 'aerious-core'),
        'update_item'                   => __('Update Portfolio Tag', 'aerious-core'),
        'add_new_item'                  => __('Add New Portfolio Tag', 'aerious-core'),
        'new_item_name'                 => __('New Portfolio Tag', 'aerious-core'),
        'separate_items_with_commas'    => __( 'Separate Tags with commas', 'aerious-core' ),
        'add_or_remove_items'           => __( 'Add or remove Tags', 'aerious-core' ),
        'choose_from_most_used'         => __( 'Choose from the most used Tags', 'aerious-core' ),
        'menu_name'                     => __('Tags', 'aerious-core')
    );
    $args = array(
            'hierarchical'  => false,
            'labels'        => $labels,
            'show_ui'       => true,
            'query_var'     => true,
            'rewrite'       => array( 'slug' => 'portfolio-tags' )
        );
     register_taxonomy('portfolio-tags', 'portfolio', $args);
    
}
// Hook into the 'init' action

add_action( 'init', 'aerious_portfolio_post_type', 0 );/** Testimonials Post Type **/

function aerious_testimonials_post_type() {
    
	$labels = array(

        'name'                => _x( 'Testimonials', 'Testimonials', 'aerious-core' ),
        'singular_name'       => _x( 'Testimonial', 'Testimonial', 'aerious-core' ),
        'menu_name'           => __( 'Testimonials', 'aerious-core' ),
        'parent_item_colon'   => __( 'Parent Testimonial:', 'aerious-core' ),
        'all_items'           => __( 'All Testimonial', 'aerious-core' ),
        'add_new_item'        => __( 'Add New Testimonial', 'aerious-core' ),
        'add_new'             => __( 'Add New', 'aerious-core' ),
        'edit_item'           => __( 'Edit Testimonial', 'aerious-core' ),
        'update_item'         => __( 'Update Testimonial', 'aerious-core' ),
        'search_items'        => __( 'Search Testimonial', 'aerious-core' ),
        'not_found'           => __( 'Not found', 'aerious-core' ),
        'not_found_in_trash'  => __( 'Not found in Trash', 'aerious-core' ),
    );
	
    $rewrite = array(
        'slug'                => 'testimonials',
    );

    $args = array(

        'label'               => __( 'Testimonial', 'aerious-core' ),
        'description'         => __( 'Testimonial Description', 'aerious-core' ),
        'labels'              => $labels,
        'supports'            => array( 'title', 'thumbnail'),
        'hierarchical'        => true,
        'public'              => false,
        'show_ui'             => true,
        'show_in_menu'        => true,
        'show_in_nav_menus'   => true,
        'show_in_admin_bar'   => true,
        'menu_position'       => 6,
        'can_export'          => true,
        'has_archive'         => false,
        'exclude_from_search' => false,
        'publicly_queryable'  => true,
        'rewrite'             => $rewrite,
        'capability_type'     => 'page',
    );

    register_post_type( 'testimonial', $args );
	
	$labels = array(

        'name' 				=> __( 'Testimonials Categories', 'aerious-core' ),
		'singular_name' 	=> __( 'Testimonial Category', 'aerious-core' ),
		'search_items' 		=>  __( 'Search Testimonials Categories','aerious-core' ),
		'all_items' 		=> __( 'All Testimonials Categories','aerious-core' ),
		'parent_item' 		=> __( 'Parent Testimonial Category','aerious-core' ),
		'parent_item_colon' => __( 'Parent Testimonial Category:','aerious-core' ),
		'edit_item' 		=> __( 'Edit Testimonials Category','aerious-core' ),
		'update_item' 		=> __( 'Update Testimonials Category','aerious-core' ),
		'add_new_item' 		=> __( 'Add New Testimonials Category','aerious-core' ),
		'new_item_name' 	=> __( 'New Testimonials Category Name','aerious-core' ),
		'menu_name' 		=> __( 'Testimonials Categories','aerious-core' ),
    );
	
    $args = array(

        'hierarchical' 		=> true,
        'labels' 			=> $labels,
        'show_ui' 			=> true,
        'query_var' 		=> true,
        'query_var' 		=> true,
        'show_in_nav_menus' => true,
        'rewrite' 			=> array( 'slug' => 'testimonials_category', )
    );
	
    register_taxonomy('testimonials_category', 'testimonial', $args);
	
}
// Hook into the 'init' action

add_action( 'init', 'aerious_testimonials_post_type', 0 );

/** Clients Post Type **/
function aerious_clients_post_type() {
    
	$labels = array(

        'name'                => _x( 'Clients', 'Clients', 'aerious-core' ),
        'singular_name'       => _x( 'Client', 'Client', 'aerious-core' ),
        'menu_name'           => __( 'Clients', 'aerious-core' ),
        'parent_item_colon'   => __( 'Parent Client:', 'aerious-core' ),
        'all_items'           => __( 'All Client', 'aerious-core' ),
        'add_new_item'        => __( 'Add New Client', 'aerious-core' ),
        'add_new'             => __( 'Add New', 'aerious-core' ),
        'edit_item'           => __( 'Edit Client', 'aerious-core' ),
        'update_item'         => __( 'Update Client', 'aerious-core' ),
        'search_items'        => __( 'Search Client', 'aerious-core' ),
        'not_found'           => __( 'Not found', 'aerious-core' ),
        'not_found_in_trash'  => __( 'Not found in Trash', 'aerious-core' ),
    );
	
    $rewrite = array(
        'slug'                => 'clients',
    );

    $args = array(

        'label'               => __( 'Client', 'aerious-core' ),
        'description'         => __( 'Client Description', 'aerious-core' ),
        'labels'              => $labels,
        'supports'            => array( 'title' ),
        'hierarchical'        => true,
        'public'              => false,
        'show_ui'             => true,
        'show_in_menu'        => true,
        'show_in_nav_menus'   => true,
        'show_in_admin_bar'   => true,
        'menu_position'       => 6,
        'can_export'          => true,
        'has_archive'         => false,
        'exclude_from_search' => false,
        'publicly_queryable'  => true,
        'rewrite'             => $rewrite,
        'capability_type'     => 'page',
    );

    register_post_type( 'client', $args );
	
	$labels = array(

        'name' 				=> __( 'Clients Categories', 'aerious-core' ),
		'singular_name' 	=> __( 'Testimonial Category', 'aerious-core' ),
		'search_items' 		=>  __( 'Search Clients Categories','aerious-core' ),
		'all_items' 		=> __( 'All Clients Categories','aerious-core' ),
		'parent_item' 		=> __( 'Parent Testimonial Category','aerious-core' ),
		'parent_item_colon' => __( 'Parent Testimonial Category:','aerious-core' ),
		'edit_item' 		=> __( 'Edit Clients Category','aerious-core' ),
		'update_item' 		=> __( 'Update Clients Category','aerious-core' ),
		'add_new_item' 		=> __( 'Add New Clients Category','aerious-core' ),
		'new_item_name' 	=> __( 'New Clients Category Name','aerious-core' ),
		'menu_name' 		=> __( 'Clients Categories','aerious-core' ),
    );
	
    $args = array(

        'hierarchical' 		=> true,
        'labels' 			=> $labels,
        'show_ui' 			=> true,
        'query_var' 		=> true,
        'query_var' 		=> true,
        'show_in_nav_menus' => true,
        'rewrite' 			=> array( 'slug' => 'clients_category', )
    );
	
    register_taxonomy('clients_category', 'client', $args);
	
}
// Hook into the 'init' action
add_action( 'init', 'aerious_clients_post_type', 0 );/** Clients Post Type **/

?>