<?php

/** 
 * Posts Like
 * **/
add_action( 'wp_ajax_nopriv_aerious_process_like', 'aerious_process_like' );
add_action( 'wp_ajax_aerious_process_like', 'aerious_process_like' );

function aerious_process_like() {
	// Security
	$nonce = isset( $_REQUEST[ 'nonce' ] ) ? sanitize_text_field( $_REQUEST[ 'nonce' ] ) : 0;
	if ( !wp_verify_nonce( $nonce, 'aerious-likes-nonce' ) ) {
		exit( __( 'Not permitted', 'aerious' ) );
	}
	// Test if javascript is disabled
	$disabled = ( isset( $_REQUEST[ 'disabled' ] ) && $_REQUEST[ 'disabled' ] == true ) ? true : false;
	// Test if this is a comment
	$is_comment = ( isset( $_REQUEST[ 'is_comment' ] ) && $_REQUEST[ 'is_comment' ] == 1 ) ? 1 : 0;
	// Base variables
	$post_id = ( isset( $_REQUEST[ 'post_id' ] ) && is_numeric( $_REQUEST[ 'post_id' ] ) ) ? $_REQUEST[ 'post_id' ] : '';
	$result = array();
	$post_users = NULL;
	$like_count = 0;
	if ( $post_id != '' ) {
		$count = ( $is_comment == 1 ) ? get_comment_meta( $post_id, "_comment_like_count", true ) : get_post_meta( $post_id, "_post_like_count", true ); // like count
		$count = ( isset( $count ) && is_numeric( $count ) ) ? $count : 0;
		if ( !aerious_already_liked( $post_id, $is_comment ) ) { // Like the post
			if ( is_user_logged_in() ) {
				$user_id 	= get_current_user_id();
				$post_users = aerious_post_user_likes( $user_id, $post_id, $is_comment );
				if ( $is_comment == 1 ) {
					// Update User & Comment
					$user_like_count = get_user_option( "_comment_like_count", $user_id );
					$user_like_count =  ( isset( $user_like_count ) && is_numeric( $user_like_count ) ) ? $user_like_count : 0;
					update_user_option( $user_id, "_comment_like_count", ++$user_like_count );
					if ( $post_users ) {
						update_comment_meta( $post_id, "_user_comment_liked", $post_users );
					}
				} else {
					// Update User & Post
					$user_like_count = get_user_option( "_user_like_count", $user_id );
					$user_like_count =  ( isset( $user_like_count ) && is_numeric( $user_like_count ) ) ? $user_like_count : 0;
					update_user_option( $user_id, "_user_like_count", ++$user_like_count );
					if ( $post_users ) {
						update_post_meta( $post_id, "_user_liked", $post_users );
					}
				}
			}
			else {
				$user_ip = aerious_likes_get_ip();
				$post_users = aerious_post_ip_likes( $user_ip, $post_id, $is_comment );
				// Update Post
				if ( $post_users ) {
					if ( $is_comment == 1 ) {
						update_comment_meta( $post_id, "_user_comment_IP", $post_users );
					}
					else {
						update_post_meta( $post_id, "_user_IP", $post_users );
					}
				}
			}
			$like_count = ++$count;
			$response[ 'status' ] = "liked";
			$response[ 'icon' ] = '<i class="fa fa-thumbs-up"></i>';
		} 
		else {
			if ( is_user_logged_in() ) {
				$user_id = get_current_user_id();
				$post_users = aerious_post_user_likes( $user_id, $post_id, $is_comment );
				if ( $is_comment == 1 ) {
					$user_like_count = get_user_option( "_comment_like_count", $user_id );
					$user_like_count =  ( isset( $user_like_count ) && is_numeric( $user_like_count ) ) ? $user_like_count : 0;
				}
				else {
					$user_like_count = get_user_option( "_user_like_count", $user_id );
					$user_like_count =  ( isset( $user_like_count ) && is_numeric( $user_like_count ) ) ? $user_like_count : 0;
				}
			}
			else {
				$user_ip = aerious_likes_get_ip();
				$post_users = aerious_post_ip_likes( $user_ip, $post_id, $is_comment );
			}
			$like_count = ( $count > 0 ) ? $count : 0; // Prevent negative number
			$response[ 'status' ] = "unliked";
			$response[ 'icon' ] = '<i class="fa fa-thumbs-up"></i>';
		}
		if ( $is_comment == 1 ) {
			update_comment_meta( $post_id, "_comment_like_count", $like_count );
			update_comment_meta( $post_id, "_comment_like_modified", date( 'Y-m-d H:i:s' ) );
		} else { 
			update_post_meta( $post_id, "_post_like_count", $like_count );
			update_post_meta( $post_id, "_post_like_modified", date( 'Y-m-d H:i:s' ) );
		}
		$response[ 'count' ] = aerious_get_like_count( $like_count );
		$response[ 'testing' ] = $is_comment;
		if ( $disabled == true ) {
			if ( $is_comment == 1 ) {
				wp_redirect( get_permalink( get_the_ID() ) );
				exit();
			} else {
				wp_redirect( get_permalink( $post_id ) );
				exit();
			}
		} else {
			wp_send_json( $response );
		}
	}
}
function aerious_already_liked( $post_id, $is_comment ) {
	$post_users = NULL;
	$user_id = NULL;
	if ( is_user_logged_in() ) {
		$user_id = get_current_user_id();
		$post_meta_users = ( $is_comment == 1 ) ? get_comment_meta( $post_id, "_user_comment_liked" ) : get_post_meta( $post_id, "_user_liked" );
		if ( count( $post_meta_users ) != 0 ) {
			$post_users = $post_meta_users[0];
		}
	}
	else {
		$user_id = aerious_likes_get_ip();
		$post_meta_users = ( $is_comment == 1 ) ? get_comment_meta( $post_id, "_user_comment_IP" ) : get_post_meta( $post_id, "_user_IP" ); 
		if ( count( $post_meta_users ) != 0 ) { // meta exists, set up values
			$post_users = $post_meta_users[0];
		}
	}
	if ( is_array( $post_users ) && in_array( $user_id, $post_users ) ) {
		return true;
	} else {
		return false;
	}
}
function aerious_get_likes_button( $post_id, $is_comment = NULL ) {
	$is_comment = ( NULL == $is_comment ) ? 0 : 1;
	$output = '';
	$nonce = wp_create_nonce( 'aerious-likes-nonce' ); // Security
	if ( $is_comment == 1 ) {
		$post_id_class = esc_attr( ' sl-comment-button-' . $post_id );
		$comment_class = esc_attr( ' sl-comment' );
		$like_count = get_comment_meta( $post_id, "_comment_like_count", true );
		$like_count = ( isset( $like_count ) && is_numeric( $like_count ) ) ? $like_count : 0;
	} else {
		$post_id_class = esc_attr( ' sl-button-' . $post_id );
		$comment_class = esc_attr( '' );
		$like_count = get_post_meta( $post_id, "_post_like_count", true );
		$like_count = ( isset( $like_count ) && is_numeric( $like_count ) ) ? $like_count : 0;
	}
	$count = aerious_get_like_count( $like_count );
	$icon_empty = $icon_full = '<i class="fa fa-thumbs-up"></i>';
	if ( aerious_already_liked( $post_id, $is_comment ) ) {
		$class 	= esc_attr( ' liked' );
		$title 	= __( 'Already Liked', 'aerious' );
		$icon 	= $icon_full;
	}
	else {
		$class 	= '';
		$title 	= __( 'Like', 'aerious' );
		$icon 	= $icon_empty;
	}
	$output = '<a href="' . admin_url( 'admin-ajax.php?action=aerious_process_like' . '&post_id=' . $post_id . '&nonce=' . $nonce . '&is_comment=' . $is_comment . '&disabled=true' ) . '" class="sl-button' . $post_id_class . $class . $comment_class . '" data-nonce="' . $nonce . '" data-post-id="' . $post_id . '" data-iscomment="' . $is_comment . '" title="' . $title . '">' . $count . $icon . '</a>';
	return $output;
}
function aerious_post_user_likes( $user_id, $post_id, $is_comment ) {
	$post_users = '';
	$post_meta_users = ( $is_comment == 1 ) ? get_comment_meta( $post_id, "_user_comment_liked" ) : get_post_meta( $post_id, "_user_liked" );
	if ( count( $post_meta_users ) != 0 ) {
		$post_users = $post_meta_users[0];
	}
	if ( !is_array( $post_users ) ) {
		$post_users = array();
	}
	if ( !in_array( $user_id, $post_users ) ) {
		$post_users[ 'user-' . $user_id] = $user_id;
	}
	return $post_users;
}
function aerious_post_ip_likes( $user_ip, $post_id, $is_comment ) {
	$post_users 		= '';
	$post_meta_users 	= ( $is_comment == 1 ) ? get_comment_meta( $post_id, "_user_comment_IP" ) : get_post_meta( $post_id, "_user_IP" );
	// Retrieve post information
	if ( count( $post_meta_users ) != 0 ) {
		$post_users = $post_meta_users[0];
	}
	if ( !is_array( $post_users ) ) {
		$post_users = array();
	}
	if ( !in_array( $user_ip, $post_users ) ) {
		$post_users[ 'ip-' . $user_ip] = $user_ip;
	}
	return $post_users;
}
function aerious_likes_get_ip() {
	if ( isset( $_SERVER[ 'HTTP_CLIENT_IP' ] ) && ! empty( $_SERVER[ 'HTTP_CLIENT_IP' ] ) ) {
		$ip = $_SERVER[ 'HTTP_CLIENT_IP' ];
	} elseif ( isset( $_SERVER[ 'HTTP_X_FORWARDED_FOR' ] ) && ! empty( $_SERVER[ 'HTTP_X_FORWARDED_FOR' ] ) ) {
		$ip = $_SERVER[ 'HTTP_X_FORWARDED_FOR' ];
	} else {
		$ip = ( isset( $_SERVER[ 'REMOTE_ADDR' ] ) ) ? $_SERVER[ 'REMOTE_ADDR' ] : '0.0.0.0';
	}
	$ip = filter_var( $ip, FILTER_VALIDATE_IP );
	$ip = ( $ip === false ) ? '0.0.0.0' : $ip;
	return $ip;
}
function aerious_format_count( $number ) {
	$precision = 2;
	if ( $number >= 1000 && $number < 1000000 ) {
		$formatted = number_format( $number/1000, $precision ).'K';
	} else if ( $number >= 1000000 && $number < 1000000000 ) {
		$formatted = number_format( $number/1000000, $precision ).'M';
	} else if ( $number >= 1000000000 ) {
		$formatted = number_format( $number/1000000000, $precision ).'B';
	} else {
		$formatted = $number; // Number is less than 1000
	}
	$formatted = str_replace( '.00', '', $formatted );
	return $formatted;
}
function aerious_get_like_count( $like_count ) {
	$like_text = '0';
	if ( is_numeric( $like_count ) && $like_count > 0 ) { 
		$number = aerious_format_count( $like_count );
	} else {
		$number = $like_text;
	}
	$count = '<span class="aerious-count-loader"><img src="' . AERIOUS_URI . "/assets/images/loaders/loader.gif" .'" alt="..."></span>';
	$count .= '<span class="sl-count">' . esc_html( $number ) . '</span>';
	return $count;
}


?>