<?php
if( 'aerious' == get_option( 'template' ) ){		
	function aerious_banner_meta_options() {
		
		global $aerious_meta_prefix, $aerious_meta_postfix;

		$banner = new_cmb2_box( array(
			'id'            => $aerious_meta_prefix . 'banner',
			'title'         => __( 'Aerious Banner', 'aerious' ),
			'object_types'  => array( 'page', 'post', 'portfolio', 'product', 'forum', 'topic' ),
			'priority'   	=> 'core',
		) );
		
		$banner->add_field( array(
			'name'      	=> __( 'Banner Type', 'aerious' ),
			'id'          	=> $aerious_meta_prefix . 'banner_type' . $aerious_meta_postfix,
			'type'        	=> 'select',
			'options'     	=> array(
								'' 				=> __( 'Select option', 'aerious' ),
								'image' 		=> __( 'Image', 'aerious' ),
								'rev_slider'	=> __( 'Revolution Slider', 'aerious' ),
								'video'			=> __( 'Video', 'aerious' ),
								'custom'		=> __( 'Custom Shortcode', 'aerious' ),
							),
		) );
		
		$banner->add_field( array(
			'name'         	=> __( 'Select Revolution Slider', 'aerious' ),
			'row_classes'	=> $aerious_meta_prefix . 'rev_slider'. $aerious_meta_postfix,
			'id'           	=> $aerious_meta_prefix . 'rev_slider' . $aerious_meta_postfix,
			'type'         	=> 'select',
			'options'      	=> aerious_rev_sliders()
		) );
		
		$banner->add_field( array(
			'name'    		=> 'Banner Image',
			'id'           	=> $aerious_meta_prefix . 'banner_image' . $aerious_meta_postfix,
			'row_classes'	=> $aerious_meta_prefix . 'banner_image'. $aerious_meta_postfix,
			'type'    		=> 'file',
			'options' 		=> array( 'url' => false, 'add_upload_file_text' => 'Upload' ),
			
		) );
		
		$banner->add_field( array(
			'name'				=> __( 'Video Type', 'aerious' ),
			'id'               	=> $aerious_meta_prefix . 'banner_video_type'. $aerious_meta_postfix,
			'row_classes'		=> $aerious_meta_prefix . 'banner_video_type'. $aerious_meta_postfix,
			'type'             	=> 'select',
			'options'          	=> array(
									'' 			=> __( 'Select option', 'aerious' ),
									'youtube' 	=> __( 'Youtube', 'aerious' ),
									'vimeo'   	=> __( 'Vimeo', 'aerious' ),
									'embed'   	=> __( 'Embed', 'aerious' ),
								)
			)
		);
		
		$banner->add_field( array(
			'name'             	=> __( 'Video Embed Code', 'aerious' ),
			'row_classes'		=> $aerious_meta_prefix . 'banner_video_embed'. $aerious_meta_postfix,
			'desc' 				=> __( 'Enter a youtube, vimeo, twitter, or instagram URL. Supports services listed at <a href="http://codex.wordpress.org/Embeds">http://codex.wordpress.org/Embeds</a>', 'aerious' ),
			'id' 				=> $aerious_meta_prefix . 'banner_video_embed'. $aerious_meta_postfix,
			'type' 				=> 'textarea_small'
		) );
		
		
		$banner->add_field( array(
			'name'       		=> __( 'Youtube video ID', 'aerious' ),
			'id'         		=> $aerious_meta_prefix . 'banner_youtube_id' . $aerious_meta_postfix,
			'row_classes'      	=> $aerious_meta_prefix . 'banner_youtube_id' . $aerious_meta_postfix,
			'type'       		=> 'text',
			'desc'				=> __( 'i.e. Enter t4p6_WkW6GY from https://www.youtube.com/watch?v=t4p6_WkW6GY', 'aerious' )
		) );
		
		$banner->add_field( array(
			'name'       		=> __( 'Vimeo video ID', 'aerious' ),
			'id'         		=> $aerious_meta_prefix . 'banner_vimeo_id' . $aerious_meta_postfix,
			'row_classes'      	=> $aerious_meta_prefix . 'banner_vimeo_id' . $aerious_meta_postfix,
			'type'       		=> 'text',
			'desc'				=> __( 'i.e. Enter 178577700 from https://vimeo.com/178577700', 'aerious' )
		) );
		
		$banner->add_field( array(
			'name'    			=> 'Youtube video settings',
			'id'      			=> $aerious_meta_prefix . 'banner_youtube_settings' . $aerious_meta_postfix,
			'row_classes'      	=> $aerious_meta_prefix . 'banner_youtube_settings' . $aerious_meta_postfix,
			'type'    			=> 'multicheck',
			'options' 			=> array(
									'youtube_hd' 			=> __( 'Force to play in HD', 'aerious' ),
									'youtube_suggestion' 	=> __( 'Show suggested videos when the video finishes', 'aerious' ),
									'youtube_info' 			=> __( 'Show video title and player actions', 'aerious' ),
									'youtube_controls' 		=> __( 'Show player controls', 'aerious' ),
									'youtube_autoplay' 		=> __( 'Autoplay', 'aerious' ),
									'youtube_fullscreen' 	=> __( 'Allow fullscreen', 'aerious' ),
								),
		) );
		
		$banner->add_field( array(
			'name'    			=> 'Vimeo video settings',
			'id'      			=> $aerious_meta_prefix . 'banner_vimeo_settings' . $aerious_meta_postfix,
			'row_classes'      	=> $aerious_meta_prefix . 'banner_vimeo_settings' . $aerious_meta_postfix,
			'type'    			=> 'multicheck',
			'options' 			=> array(
									'vimeo_portrait' 	=> __( 'Portrait', 'aerious' ),
									'vimeo_title' 	=> __( 'Title', 'aerious' ),
									'vimeo_byline' 	=> __( 'Byline', 'aerious' ),
									'vimeo_autoplay' 	=> __( 'Autoplay', 'aerious' ),
									'vimeo_loop' 		=> __( 'Loop', 'aerious' ),
									'vimeo_fullscreen' 	=> __( 'Allow fullscreen', 'aerious' ),
								),
		) );
		
		$banner->add_field( array(
			'name'    			=> 'Vimeo color',
			'id'      			=> $aerious_meta_prefix . 'banner_vimeo_color' . $aerious_meta_postfix,
			'row_classes'      	=> $aerious_meta_prefix . 'banner_vimeo_color' . $aerious_meta_postfix,
			'type'    			=> 'select',
			'options' 			=> array(
									'' 			=> __( 'Vimeo - Default', 'aerious' ),
									'tc' 		=> __( 'Theme - Default', 'aerious' ),
									'custom'   	=> __( 'Custom', 'aerious' ),
								),
		) );

		$banner->add_field( array(
			'name'    			=> 'Vimeo custom color',
			'id'      			=> $aerious_meta_prefix . 'banner_vimeo_custom_color' . $aerious_meta_postfix,
			'row_classes'      	=> $aerious_meta_prefix . 'banner_vimeo_custom_color' . $aerious_meta_postfix,
			'type'    			=> 'colorpicker',
		) );
		
		$banner->add_field( array(
			'name'       		=> __( 'Custom Shortcode', 'aerious' ),
			'id'         		=> $aerious_meta_prefix . 'banner_custom' . $aerious_meta_postfix,
			'row_classes'      	=> $aerious_meta_prefix . 'banner_custom' . $aerious_meta_postfix,
			'type'       		=> 'text',
			'desc'				=> __( 'Paste your custom slider/banner shortcode here i.e. [rev_slider alias="slider"] ', 'aerious' )
		) );
		
	}

	add_action( 'cmb2_admin_init', 'aerious_banner_meta_options' );
	}