<?php
	
function aerious_client_meta_options() {
	
	global $aerious_meta_prefix, $aerious_meta_postfix;

	$client = new_cmb2_box( array(
		'id'            => $aerious_meta_prefix . 'client',
		'title'         => __( 'Aerious Clients', 'aerious' ),
		'object_types'  => array( 'client' ),
		'priority'   	=> 'core',
	) );
	
	$client->add_field( array(
		'name' 		=> __( 'Image', 'aerious' ),
		'desc' 		=> esc_html__( 'Choose an image', 'aerious' ),
		'id'   		=> $aerious_meta_prefix . 'client_image' . $aerious_meta_postfix,
		'type' 		=> 'file',
	) );
	$client->add_field( array(
		'name' 		=> __( 'Hover Image', 'aerious' ),
		'desc' 		=> esc_html__( 'Choose hover image', 'aerious' ),
		'id'   		=> $aerious_meta_prefix . 'client_hover_image' . $aerious_meta_postfix,
		'type' 		=> 'file',
	) );
	
	$client->add_field( array(
		'name'      => __( 'Link', 'aerious' ),
		'id'        => $aerious_meta_prefix . 'client_link' . $aerious_meta_postfix,
		'type'      => 'text',
		'desc'		=> esc_html__( 'Enter the URL to which you want the image to link to (e.g. http://www.example.com)', 'aerious' )
	) );
	
	$client->add_field( array (
		'name' 		=> __ ( 'Target', 'aerious' ),
		'id'       	=> $aerious_meta_prefix . 'client_link_target' . $aerious_meta_postfix,
		'type' 		=> 'select',
		'options' 	=> array(
			'' 			=> '',
			'_self' 	=> __("Same Window",'aerious' ),
			'_blank	' 	=> __("New Window",'aerious' ),
		),
		'desc' 		=> esc_html__( 'Specify where to open the linked document', 'aerious' )
	) );
	
}

add_action( 'cmb2_admin_init', 'aerious_client_meta_options' );
