<?php
	
function aerious_footer_meta_options() {
	
	global $aerious_meta_prefix, $aerious_meta_postfix;

	$footer = new_cmb2_box( array(
		'id'            => $aerious_meta_prefix . 'footer',
		'title'         => __( 'Aerious Footer', 'aerious' ),
		'object_types'  => array( 'page', 'post', 'portfolio', 'product', 'forum', 'topic' ),
		'priority'   	=> 'core',
	) );
	
	
	$footer->add_field( array(
		'name'        	=> __( 'Show Footer', 'aerious' ),
		'id'           	=> $aerious_meta_prefix . 'show_footer' . $aerious_meta_postfix,
		'type'         	=> 'select',
		'options'      	=> array(
			''		=> __( 'Default', 'aerious' ),
			'yes' 	=> __( 'Yes', 'aerious' ),
			'no'   	=> __( 'No', 'aerious' ),
		),
	) );
	
	$footer->add_field( array(
		'name'       	=> __( 'Footer Columns', 'aerious' ),
		'id'          	=> $aerious_meta_prefix . 'footer_columns' . $aerious_meta_postfix,
		'row_classes'  	=> array( $aerious_meta_prefix . 'footer_columns' . $aerious_meta_postfix, $aerious_meta_prefix . 'radio-image' . $aerious_meta_postfix ),
		'type'        	=> 'radio_inline',
		'options'     	=> array(
							'' 		  			=> __( 'Default', 'aerious' ),
							'1' 	  			=> __( '1/1', 'aerious' ),
							'12'  				=> __( '1/2 + 1/2', 'aerious' ),
							'13' 	  			=> __( '1/3 + 1/3 + 1/3', 'aerious' ),
							'14' 	  			=> __( '1/4 + 1/4 + 1/4 + 1/4', 'aerious' ),
							'15' 	  			=> __( '1/5 + 1/5 + 1/5 + 1/5 + 1/5', 'aerious' ),
							'_12_14_14' 	  		=> __( '1/2 + 1/4 + 1/4', 'aerious' ),
							'_14_12_14' 	  		=> __( '1/4 + 1/2 + 1/4', 'aerious' ),
							'_14_14_12' 	  		=> __( '1/4 + 1/4 + 1/2', 'aerious' ),
							'_14_16_16_16_14' 	=> __( '1/4 + 1/6 + 1/6 + 1/6 + 1/4', 'aerious' ),
						),
	) );
	
	$footer->add_field( array(
		'name'        	=> __( 'Show Footer Bottom Area', 'aerious' ),
		'id'         	=> $aerious_meta_prefix . 'show_footer_bottom' . $aerious_meta_postfix,
		'type'        	=> 'select',
		'options'     	=> array(
			'' 		=> __( 'Default', 'aerious' ),
			'yes' 	=> __( 'Yes', 'aerious' ),
			'no'   	=> __( 'No', 'aerious' ),
		),
	) );
	
}

add_action( 'cmb2_admin_init', 'aerious_footer_meta_options' );
