<?php
	
function aerious_header_meta_options() {
	
	global $aerious_meta_prefix, $aerious_meta_postfix;

	$header = new_cmb2_box( array(
		'id'            => $aerious_meta_prefix . 'header',
		'title'         => __( 'Aerious Header', 'aerious' ),
		'object_types'  => array( 'page', 'post', 'portfolio', 'product', 'forum', 'topic' ),
		'priority'   	=> 'core',
	) );
	
	
	$header->add_field( array(
		'name'             => __( 'Show Header', 'aerious' ),
		'id'               => $aerious_meta_prefix . 'show_header' . $aerious_meta_postfix,
		'type'             => 'select',
		'options'          => array(
			'' 		=> __( 'Default', 'aerious' ),
			'yes' 	=> __( 'Yes', 'aerious' ),
			'no'   	=> __( 'No', 'aerious' ),
		),
	) );
	
	$header->add_field( array(
		'name'             => __( 'Show Topbar', 'aerious' ),
		'id'               => $aerious_meta_prefix . 'show_topbar' . $aerious_meta_postfix,
		'row_classes'      => $aerious_meta_prefix . 'show_topbar' . $aerious_meta_postfix,
		'type'             => 'select',
		'options'          => array(
			'' 		=> __( 'Default', 'aerious' ),
			'yes' 	=> __( 'Yes', 'aerious' ),
			'no'   	=> __( 'No', 'aerious' ),
		),
	) );

	$header->add_field( array(
		'name'    		=> __('Logo', 'aerious' ),
		'desc' 			=> __( 'Select an image file for you logo.', 'aerious'),
		'id'       		=> $aerious_meta_prefix . 'logo' . $aerious_meta_postfix,
		'row_classes'  	=> $aerious_meta_prefix . 'logo' . $aerious_meta_postfix,
		'type'    		=> 'file',
		'options' 		=> array( 'url' => false, 'add_upload_file_text' => 'Upload' ),
	) );
	
	$header->add_field( array(
		'name'    		=> __('Retina Logo', 'aerious' ),
		'desc' 			=> __( 'Select an image file for the retina version of the logo. It should be exactly 2x the size of the main logo.', 'aerious'),
		'id'       		=> $aerious_meta_prefix . 'logo_retina' . $aerious_meta_postfix,
		'row_classes'  	=> $aerious_meta_prefix . 'logo_retina' . $aerious_meta_postfix,
		'type'    		=> 'file',
		'options' 		=> array( 'url' => false, 'add_upload_file_text' => 'Upload' ),
	) );
	
	$header->add_field( array(
		'name'    		=> __( 'Sticky Header Logo', 'aerious' ),
		'desc' 			=> __( 'Select an image file for your sticky header logo.', 'aerious'),
		'id'       		=> $aerious_meta_prefix . 'logo_sticky' . $aerious_meta_postfix,
		'row_classes'  	=> $aerious_meta_prefix . 'logo_sticky' . $aerious_meta_postfix,
		'type'    		=> 'file',
		'options' 		=> array( 'url' => false, 'add_upload_file_text' => 'Upload' ),
	) );
	
	$header->add_field( array(
		'name'    		=> __( 'Mobile Logo', 'aerious' ),
		'desc' 			=> __( 'Select an image file for your mobile logo.', 'aerious'),
		'id'       		=> $aerious_meta_prefix . 'logo_mob' . $aerious_meta_postfix,
		'row_classes'  	=> $aerious_meta_prefix . 'logo_mob' . $aerious_meta_postfix,
		'type'    		=> 'file',
		'options' 		=> array( 'url' => false, 'add_upload_file_text' => 'Upload' ),
	) );
	
	
	
	$header->add_field( array(
		'name'             => __( 'Show Navigation Area', 'aerious' ),
		'id'               => $aerious_meta_prefix . 'show_nav' . $aerious_meta_postfix,
		'row_classes'      => $aerious_meta_prefix . 'show_nav' . $aerious_meta_postfix,
		'type'             => 'select',
		'options'          => array(
			''		 => __( 'Default', 'aerious' ),
			'yes' 	=> __( 'Yes', 'aerious' ),
			'no'   	=> __( 'No', 'aerious' ),
		),
	) );
	
	$header->add_field( array(
		'name'             => __( 'Header Skin', 'aerious' ),
		'id'               => $aerious_meta_prefix . 'header_skin' . $aerious_meta_postfix,
		'row_classes'      => $aerious_meta_prefix . 'header_skin' . $aerious_meta_postfix,
		'type'             => 'select',
		'options'          => array(
								'' 			=> 'Header Skin selected in Theme options panel',
								'default' 	=> __( 'Default', 'aerious' ),
								'light' 	=> __( 'Light', 'aerious' ),
								'dark' 		=> __( 'Dark', 'aerious' ),
							),
	) );
	
	$header->add_field( array(
		'name'             => __( 'Sticky Header Skin', 'aerious' ),
		'id'               => $aerious_meta_prefix . 'sticky_header_skin' . $aerious_meta_postfix,
		'row_classes'      => $aerious_meta_prefix . 'sticky_header_skin' . $aerious_meta_postfix,
		'type'             => 'select',
		'options'          => array(
								'' 			=> 'Header Skin selected in Theme options panel',
								'default' 	=> __( 'Default', 'aerious' ),
								'light' 	=> __( 'Light', 'aerious' ),
								'dark' 		=> __( 'Dark', 'aerious' ),
							),
	) );
	
	$header->add_field( array(
		'name'       	=> __( 'Overlap header', 'aerious' ),
		'id'          	=> $aerious_meta_prefix . 'overlap_header' . $aerious_meta_postfix,
		'row_classes'  	=> $aerious_meta_prefix . 'overlap_header' . $aerious_meta_postfix,
		'type'        	=> 'select',
		'options'     	=> array(
							'' 			=> __( 'Default', 'aerious' ),
							'enable'	=> __( 'Enable', 'aerious' ),
							'disable' 	=> __( 'Disable', 'aerious' ),
						),
		'desc'      	=> __( 'Overlap the header at title area or slider', 'aerious' )
	) );
	
	$header->add_field( array(
		'name'       	=> __( 'Header Style', 'aerious' ),
		'id'          	=> $aerious_meta_prefix . 'header_style' . $aerious_meta_postfix,
		'row_classes'  	=> array( $aerious_meta_prefix . 'header_style' . $aerious_meta_postfix, $aerious_meta_prefix . 'radio-image' . $aerious_meta_postfix ),
		'type'        	=> 'radio_inline',
		'options'     	=> array(
							'' 				=> __( 'Default', 'aerious' ),
							'header-1'		=> __( 'Header 1', 'aerious' ),
							'header-2' 		=> __( 'Header 2 ', 'aerious' ),
							'header-3'		=> __( 'Header 3', 'aerious' ),
							'header-4'		=> __( 'Header 4', 'aerious' ),
							'side-header'	=> __( 'Side Header', 'aerious' ),
						),
	) );

}

add_action( 'cmb2_admin_init', 'aerious_header_meta_options' );
