<?php

function aerious_page_content_area_meta_options() {
	
	global $aerious_meta_prefix, $aerious_meta_postfix;
	
	$general = new_cmb2_box( array(
		'id'            => $aerious_meta_prefix . 'page_content_area_meta_options',
		'title'         => __( 'Aerious Page Content Area', 'aerious' ),
		'object_types'  => array( 'page', 'post', 'portfolio', 'product', 'forum', 'topic' ),
		'priority'   	=> 'core',
	) );
	
	$general->add_field( array(
		'name'       => __( 'Top Padding', 'aerious' ),
		'id'         => $aerious_meta_prefix . 'page_padding_top' . $aerious_meta_postfix,
		'desc' 		=> __( 'Enter valid number with valid CSS unit (px, em, %) for main content which is between header and footer. i.e. 35px', 'aerious'),
		'type'       => 'text',
	) );
	
	$general->add_field( array(
		'name'       => __( 'Bottom Padding', 'aerious' ),
		'id'         => $aerious_meta_prefix . 'page_padding_bottom' . $aerious_meta_postfix,
		'desc' 		=> __( 'Enter valid number with valid CSS unit (px, em, %) for main content which is between header and footer. i.e. 35px', 'aerious'),
		'type'       => 'text',
	) );
	
	$general->add_field( array(
		'name'   	=> __( 'Background Color', 'aerious' ),
		'id'       	=> $aerious_meta_prefix . 'page_bg_color' . $aerious_meta_postfix,
		'desc' 		=> __( 'Setup background to chooose color for main content which is between header and footer. Leave empty background image field in order to use background color.', 'aerious'),
		'type'    	=> 'colorpicker',
	) );
	
	$general->add_field( array(
		'name'    	=> __( 'Background Image', 'aerious' ),
		'desc' 		=> __( 'Setup background to chooose image for main content which is between header and footer.', 'aerious'),
		'id'       	=> $aerious_meta_prefix . 'page_bg' . $aerious_meta_postfix,
		'type'    	=> 'file',
		'options' 	=> array( 'url' => false, 'add_upload_file_text' => 'Upload' ),
	) );
	
	$general->add_field( array(
		'name'             => __( 'Background Repeat', 'aerious' ),
		'id'               => $aerious_meta_prefix . 'page_bg_repeat' . $aerious_meta_postfix,
		'type'             => 'select',
		'options'          => array(
								'no-repeat' 	=> __( 'No Repeat', 'aerious' ),
								'repeat' 		=> __( 'Repeat All', 'aerious' ),
								'repeat-x'   	=> __( 'Repeat Horizontally', 'aerious' ),
								'repeat-y'   	=> __( 'Repeat Vertically', 'aerious' ),
								'inherit'   	=> __( 'Inherit', 'aerious' ),
							),
	) );
	
	$general->add_field( array(
		'name'             => __( 'Background Size', 'aerious' ),
		'id'               => $aerious_meta_prefix . 'page_bg_size' . $aerious_meta_postfix,
		'type'             => 'select',
		'options'          => array(
								'100%' 		=> __( '100%', 'aerious' ),
								'cover' 	=> __( 'Cover', 'aerious' ),
								'contain' 	=> __( 'Contain', 'aerious' ),
								'inherit' 	=> __( 'Inherit', 'aerious' ),
							),
	) );
	
	
}

add_action( 'cmb2_admin_init', 'aerious_page_content_area_meta_options' );