<?php
	
function aerious_portfolio_meta_options() {
	
	global $aerious_meta_prefix, $aerious_meta_postfix;
	
	$portfolio = new_cmb2_box( array(
		'id'            => $aerious_meta_prefix . 'portfolio' . $aerious_meta_postfix,
		'title'         => __( 'Aerious Portfolio', 'aerious' ),
		'object_types'  => array( 'portfolio' ),
		'context'      	=> 'side',
		'priority'   	=> 'high',
	) );
	
	$portfolio->add_field( array(
		'name'    		=> 'Portfolio Type',
		'id'            => $aerious_meta_prefix . 'portfolio_type' . $aerious_meta_postfix,
		'type'    		=> 'radio',
		'options' 		=> array(
							'image' 	=> __( 'Standard/Image', 'aerious' ),
							'gallery'   => __( 'Gallery', 'aerious' ),
							'video'     => __( 'Video', 'aerious' ),
						),
		'default'		=> 'image'
	) );
	
	$portfolio->add_field( array(
		'name'    		=> 'Portfolio Layout',
		'id'            => $aerious_meta_prefix . 'portfolio_layout' . $aerious_meta_postfix,
		'type'    		=> 'radio_inline',
		'options' 		=> array(
							'full' 		=> __( 'Full', 'aerious' ),
							'split' 	=> __( 'Split', 'aerious' ),
						),
		'default'		=> 'full'
	) );
	
	$portfolio->add_field( array(
		'name'       	=> __( 'Portfolio Subtitle', 'aerious' ),
		'id'         	=> $aerious_meta_prefix . 'portfolio_subtitle' . $aerious_meta_postfix,
		'type'       	=> 'text',
	) );
	
	$portfolio_video = new_cmb2_box( array(
		'id'            => $aerious_meta_prefix . 'portfolio_video' . $aerious_meta_postfix . 'box',
		'title'         => __( 'Aerious Portfolio Video', 'aerious' ),
		'object_types'  => array( 'portfolio' ),
		'priority'   	=> 'core',
	) );
	
	$portfolio_video->add_field( array(
		'name'             => __( 'Video Type', 'aerious' ),
		'id'               => $aerious_meta_prefix . 'portfolio_video_type'. $aerious_meta_postfix,
		'type'             => 'select',
		'options'          => array(
								'' 			=> __( 'Select option', 'aerious' ),
								'youtube' => __( 'Youtube', 'aerious' ),
								'vimeo'   => __( 'Vimeo', 'aerious' ),
								'embed'   => __( 'Embed', 'aerious' ),
							)
		)
	);
	
	$portfolio_video->add_field( array(
		'name'             	=> __( 'Video Embed Code', 'aerious' ),
		'row_classes'		=> $aerious_meta_prefix . 'portfolio_video_embed'. $aerious_meta_postfix,
		'desc' 				=> __( 'Enter a youtube, vimeo, twitter, or instagram URL. Supports services listed at <a href="http://codex.wordpress.org/Embeds">http://codex.wordpress.org/Embeds</a>', 'aerious' ),
		'id' 				=> $aerious_meta_prefix . 'video_embed'. $aerious_meta_postfix,
		'type' 				=> 'textarea_small'
	) );
	
	
	$portfolio_video->add_field( array(
		'name'       		=> __( 'Youtube video ID', 'aerious' ),
		'id'         		=> $aerious_meta_prefix . 'portfolio_youtube_id' . $aerious_meta_postfix,
		'row_classes'      	=> $aerious_meta_prefix . 'portfolio_youtube_id' . $aerious_meta_postfix,
		'type'       		=> 'text',
		'desc'				=> __( 'i.e. Enter t4p6_WkW6GY from https://www.youtube.com/watch?v=t4p6_WkW6GY', 'aerious' )
	) );
	
	$portfolio_video->add_field( array(
		'name'       		=> __( 'Vimeo video ID', 'aerious' ),
		'id'         		=> $aerious_meta_prefix . 'portfolio_vimeo_id' . $aerious_meta_postfix,
		'row_classes'      	=> $aerious_meta_prefix . 'portfolio_vimeo_id' . $aerious_meta_postfix,
		'type'       		=> 'text',
		'desc'				=> __( 'i.e. Enter 178577700 from https://vimeo.com/178577700', 'aerious' )
	) );
	
	$portfolio_video->add_field( array(
		'name'    			=> 'Youtube video settings',
		'id'      			=> $aerious_meta_prefix . 'portfolio_youtube_settings' . $aerious_meta_postfix,
		'row_classes'      	=> $aerious_meta_prefix . 'portfolio_youtube_settings' . $aerious_meta_postfix,
		'type'    			=> 'multicheck',
		'options' 			=> array(
								'youtube_hd' 			=> __( 'Force to play in HD', 'aerious' ),
								'youtube_suggestion' 	=> __( 'Show suggested videos when the video finishes', 'aerious' ),
								'youtube_info' 			=> __( 'Show video title and player actions', 'aerious' ),
								'youtube_controls' 		=> __( 'Show player controls', 'aerious' ),
								'youtube_autoplay' 		=> __( 'Autoplay', 'aerious' ),
								'youtube_fullscreen' 	=> __( 'Allow fullscreen', 'aerious' ),
							),
	) );
	
	$portfolio_video->add_field( array(
		'name'    			=> 'Vimeo video settings',
		'id'      			=> $aerious_meta_prefix . 'portfolio_vimeo_settings' . $aerious_meta_postfix,
		'row_classes'      	=> $aerious_meta_prefix . 'portfolio_vimeo_settings' . $aerious_meta_postfix,
		'type'    			=> 'multicheck',
		'options' 			=> array(
								'vimeo_portrait' 	=> __( 'Portrait', 'aerious' ),
								'vimeo_title' 	=> __( 'Title', 'aerious' ),
								'vimeo_byline' 	=> __( 'Byline', 'aerious' ),
								'vimeo_autoplay' 	=> __( 'Autoplay', 'aerious' ),
								'vimeo_loop' 		=> __( 'Loop', 'aerious' ),
								'vimeo_fullscreen' 	=> __( 'Allow fullscreen', 'aerious' ),
							),
	) );
	
	$portfolio_video->add_field( array(
		'name'    			=> 'Vimeo color',
		'id'      			=> $aerious_meta_prefix . 'portfolio_vimeo_color' . $aerious_meta_postfix,
		'row_classes'      	=> $aerious_meta_prefix . 'portfolio_vimeo_color' . $aerious_meta_postfix,
		'type'    			=> 'select',
		'options' 			=> array(
								'' 			=> __( 'Vimeo - Default', 'aerious' ),
								'tc' 		=> __( 'Theme - Default', 'aerious' ),
								'custom'   	=> __( 'Custom', 'aerious' ),
							),
	) );

	$portfolio_video->add_field( array(
		'name'    			=> 'Vimeo custom color',
		'id'      			=> $aerious_meta_prefix . 'portfolio_vimeo_custom_color' . $aerious_meta_postfix,
		'row_classes'      	=> $aerious_meta_prefix . 'portfolio_vimeo_custom_color' . $aerious_meta_postfix,
		'type'    			=> 'colorpicker',
	) );
	
	$portfolio_gallery = new_cmb2_box( array(
		'id'            => $aerious_meta_prefix . 'portfolio_gallery' . $aerious_meta_postfix . 'box',
		'title'         => __( 'Aerious Portfolio Gallery', 'aerious' ),
		'object_types'  => array( 'portfolio' ),
		'priority'   	=> 'core',
	) );
	
	$portfolio_gallery->add_field( array(
		'name'         	=> __( 'Gallery Type', 'aerious' ),
		'id'          	=> $aerious_meta_prefix . 'portfolio_gallery_type' . $aerious_meta_postfix,
		'type'        	=> 'select',
		'options'    	=> array(
							'slider'	=> __( 'Slider/Carousel', 'aerious' ),
							'grid'		=> __( 'Grid', 'aerious' ),
						),
	) );
	
	$portfolio_gallery->add_field( array(
		'name'         	=> __( 'Number of Columns', 'aerious' ),
		'id'          	=> $aerious_meta_prefix . 'portfolio_gallery_cols' . $aerious_meta_postfix,
		'type'        	=> 'select',
		'options'    	=> array(
			'1'	=> __( '1', 'aerious' ),
			'2'	=> __( '2', 'aerious' ),
			'3'	=> __( '3', 'aerious' ),
			'4'	=> __( '4', 'aerious' ),
			'5'	=> __( '5', 'aerious' ),
			'6'	=> __( '6', 'aerious' ),
		),
	) );
	
	$portfolio_gallery->add_field( array(
		'name'         	=> __( 'Images', 'aerious' ),
		'desc'         	=> esc_html__( 'Upload or add multiple images/attachments.', 'aerious' ),
		'id'           	=> $aerious_meta_prefix . 'portfolio_gallery'. $aerious_meta_postfix,
		'type'         	=> 'file_list',
		'preview_size' 	=> array( 100, 100 ),
		'options' 		=> array( 'add_upload_file_text' => 'Upload' ),
	) );
	
	$portfolio_gallery->add_field( array(
		'name'         	=> __( 'Spacing', 'aerious' ),
		'id'           	=> $aerious_meta_prefix . 'portfolio_img_spacing' . $aerious_meta_postfix,
		'row_classes'   => $aerious_meta_prefix . 'portfolio_img_spacing' . $aerious_meta_postfix,
		'type'        	=> 'checkbox',
		'desc'      	=> __( 'Remove spacing between images', 'aerious' )
	) );
	
	$portfolio_content_sidebar = new_cmb2_box( array(
		'id'            => $aerious_meta_prefix . 'portfolio_content_sidebar' . $aerious_meta_postfix . 'box',
		'title'         => __( 'Aerious Portfolio Content Sidebar', 'aerious' ),
		'object_types'  => array( 'portfolio' ),
		'priority'   	=> 'core',
	) );
	
	$portfolio_content_sidebar->add_field( array(
		'name'       		=> __( 'Heading', 'aerious' ),
		'id'         		=> $aerious_meta_prefix . 'portfolio_sidebar_heading' . $aerious_meta_postfix,
		'type'       		=> 'text',
	) );
	
	$portfolio_info = $portfolio_content_sidebar->add_field( array(
		'id'           	=> $aerious_meta_prefix . 'portfolio_info'. $aerious_meta_postfix,
		'type'        => 'group',
		'options'     => array(
			'group_title'   => __( 'Info {#}', 'aerious' ),
			'add_button'    => __( 'Add Another Info', 'aerious' ),
			'remove_button' => __( 'Remove Info', 'aerious' ),
			'sortable'      => true, 
		),
	) );

	$portfolio_content_sidebar->add_group_field( $portfolio_info, array(
		'name' 			=> 'Title',
		'id'           	=> $aerious_meta_prefix . 'pi_title'. $aerious_meta_postfix,
		'type' 			=> 'text',
	) );

	$portfolio_content_sidebar->add_group_field( $portfolio_info, array(
		'name' 			=> 'Text',
		'id'           	=> $aerious_meta_prefix . 'pi_text'. $aerious_meta_postfix,
		'type' 			=> 'text',
	) );

	$portfolio_content_sidebar->add_group_field( $portfolio_info, array(
		'name' 			=> 'Text link',
		'id'           	=> $aerious_meta_prefix . 'pi_link'. $aerious_meta_postfix,
		'type' 			=> 'text',
	) );
	
}

add_action( 'cmb2_admin_init', 'aerious_portfolio_meta_options' );
