<?php
	
function aerious_post_meta_options() {
	
	global $aerious_meta_prefix, $aerious_meta_postfix;
    
    $audio = new_cmb2_box( array(
		'id'            => $aerious_meta_prefix . 'audio' . $aerious_meta_postfix . 'box',
		'title'         => __( 'Aerious Audio Post Format', 'aerious' ),
		'object_types'  => array( 'post' ),
		'priority'   	=> 'core',
	) );
	
	$audio->add_field( array(
		'name'       => __( 'Audio Link', 'aerious' ),
		'id'         => $aerious_meta_prefix . 'audio' . $aerious_meta_postfix,
		'type'       => 'text',
	) );
    
	$link = new_cmb2_box( array(
		'id'            => $aerious_meta_prefix . 'link' . $aerious_meta_postfix . 'box',
		'title'         => __( 'Aerious Link Post Format', 'aerious' ),
		'object_types'  => array( 'post' ),
		'priority'   	=> 'core',
	) );
	
	$link->add_field( array(
		'name'       => __( 'URL', 'aerious' ),
		'id'         => $aerious_meta_prefix . 'link' . $aerious_meta_postfix,
		'type'       => 'text',
	) );
    
    $quote = new_cmb2_box( array(
		'id'            => $aerious_meta_prefix . 'quote' . $aerious_meta_postfix . 'box',
		'title'         => __( 'Aerious Quote Post Format', 'aerious' ),
		'object_types'  => array( 'post' ),
		'priority'   	=> 'core',
	) );
	
	$quote->add_field( array(
		'name'       => __( 'Quote', 'aerious' ),
		'id'         => $aerious_meta_prefix . 'quote' . $aerious_meta_postfix,
		'type'       => 'text',
	) );

	$status = new_cmb2_box( array(
		'id'            => $aerious_meta_prefix . 'status' . $aerious_meta_postfix . 'box',
		'title'         => __( 'Aerious Status Post Format', 'aerious' ),
		'object_types'  => array( 'post' ),
		'priority'   	=> 'core',
	) );
	
	$status->add_field( array(
		'name'       => __( 'Status', 'aerious' ),
		'id'         => $aerious_meta_prefix . 'status' . $aerious_meta_postfix,
		'type'       => 'text',
	) );
	
	
	$gallery = new_cmb2_box( array(
		'id'            => $aerious_meta_prefix . 'gallery' . $aerious_meta_postfix . 'box',
		'title'         => __( 'Aerious Gallery Post Format', 'aerious' ),
		'object_types'  => array( 'post' ),
		'priority'   	=> 'core',
	) );
	
	$gallery ->add_field( array(
		'name'         => __( 'Gallery Files', 'aerious' ),
		'desc'         => esc_html__( 'Upload or add multiple images/attachments.', 'aerious' ),
		'id'           => $aerious_meta_prefix . 'gallery_list'. $aerious_meta_postfix,
		'type'         => 'file_list',
		'preview_size' => array( 100, 100 ),
	) );
    
    
    $video = new_cmb2_box( array(
		'id'            => $aerious_meta_prefix . 'video' . $aerious_meta_postfix . 'box',
		'title'         => __( 'Aerious Video Post Format', 'aerious' ),
		'object_types'  => array( 'post' ),
		'priority'   	=> 'core',
	) );
	
	$video->add_field( array(
		'name'             => __( 'Video Type', 'aerious' ),
		'id'               => $aerious_meta_prefix . 'video_type'. $aerious_meta_postfix,
		'type'             => 'select',
		'options'          => array(
								'' 			=> __( 'Select option', 'aerious' ),
								'youtube' 	=> __( 'Youtube', 'aerious' ),
								'vimeo'   	=> __( 'Vimeo', 'aerious' ),
								'embed'   	=> __( 'Embed', 'aerious' ),
							)
		)
	);
	
	$video->add_field( array(
		'name'             	=> __( 'Video Embed Code', 'aerious' ),
		'row_classes'		=> $aerious_meta_prefix . 'video_embed'. $aerious_meta_postfix,
		'desc' 				=> __( 'Enter a youtube, vimeo, twitter, or instagram URL. Supports services listed at <a href="http://codex.wordpress.org/Embeds">http://codex.wordpress.org/Embeds</a>', 'aerious' ),
		'id' 				=> $aerious_meta_prefix . 'video_embed'. $aerious_meta_postfix,
		'type' 				=> 'textarea_small'
	) );
	
	
	$video->add_field( array(
		'name'       		=> __( 'Youtube video ID', 'aerious' ),
		'id'         		=> $aerious_meta_prefix . 'youtube_id' . $aerious_meta_postfix,
		'row_classes'      	=> $aerious_meta_prefix . 'youtube_id' . $aerious_meta_postfix,
		'type'       		=> 'text',
		'desc'				=> __( 'i.e. Enter t4p6_WkW6GY from https://www.youtube.com/watch?v=t4p6_WkW6GY', 'aerious' )
	) );
	
	$video->add_field( array(
		'name'       		=> __( 'Vimeo video ID', 'aerious' ),
		'id'         		=> $aerious_meta_prefix . 'vimeo_id' . $aerious_meta_postfix,
		'row_classes'      	=> $aerious_meta_prefix . 'vimeo_id' . $aerious_meta_postfix,
		'type'       		=> 'text',
		'desc'				=> __( 'i.e. Enter 178577700 from https://vimeo.com/178577700', 'aerious' )
	) );
	
	$video->add_field( array(
		'name'    			=> 'Youtube video settings',
		'id'      			=> $aerious_meta_prefix . 'youtube_settings' . $aerious_meta_postfix,
		'row_classes'      	=> $aerious_meta_prefix . 'youtube_settings' . $aerious_meta_postfix,
		'type'    			=> 'multicheck',
		'options' 			=> array(
								'youtube_hd' 			=> __( 'Force to play in HD', 'aerious' ),
								'youtube_suggestion' 	=> __( 'Show suggested videos when the video finishes', 'aerious' ),
								'youtube_info' 			=> __( 'Show video title and player actions', 'aerious' ),
								'youtube_controls' 		=> __( 'Show player controls', 'aerious' ),
								'youtube_autoplay' 		=> __( 'Autoplay', 'aerious' ),
								'youtube_fullscreen' 	=> __( 'Allow fullscreen', 'aerious' ),
							),
	) );
	
	$video->add_field( array(
		'name'    			=> 'Vimeo video settings',
		'id'      			=> $aerious_meta_prefix . 'vimeo_settings' . $aerious_meta_postfix,
		'row_classes'      	=> $aerious_meta_prefix . 'vimeo_settings' . $aerious_meta_postfix,
		'type'    			=> 'multicheck',
		'options' 			=> array(
								'vimeo_portrait' 	=> __( 'Portrait', 'aerious' ),
								'vimeo_title' 	=> __( 'Title', 'aerious' ),
								'vimeo_byline' 	=> __( 'Byline', 'aerious' ),
								'vimeo_autoplay' 	=> __( 'Autoplay', 'aerious' ),
								'vimeo_loop' 		=> __( 'Loop', 'aerious' ),
								'vimeo_fullscreen' 	=> __( 'Allow fullscreen', 'aerious' ),
							),
	) );
	
	$video->add_field( array(
		'name'    			=> 'Vimeo color',
		'id'      			=> $aerious_meta_prefix . 'vimeo_color' . $aerious_meta_postfix,
		'row_classes'      	=> $aerious_meta_prefix . 'vimeo_color' . $aerious_meta_postfix,
		'type'    			=> 'select',
		'options' 			=> array(
								'' 			=> __( 'Vimeo - Default', 'aerious' ),
								'tc' 		=> __( 'Theme - Default', 'aerious' ),
								'custom'   	=> __( 'Custom', 'aerious' ),
							),
	) );

	$video->add_field( array(
		'name'    			=> 'Vimeo custom color',
		'id'      			=> $aerious_meta_prefix . 'vimeo_custom_color' . $aerious_meta_postfix,
		'row_classes'      	=> $aerious_meta_prefix . 'vimeo_custom_color' . $aerious_meta_postfix,
		'type'    			=> 'colorpicker',
	) );
		
}

add_action( 'cmb2_admin_init', 'aerious_post_meta_options' );
