<?php
	
function aerious_sidebar_meta_options() {
	
	global $aerious_meta_prefix, $aerious_meta_postfix;

	$sidebar = new_cmb2_box( array(
		'id'            => $aerious_meta_prefix . 'sidebar',
		'title'         => __( 'Aerious Sidebar', 'aerious' ),
		'object_types'  => array( 'page', 'post', 'portfolio', 'product', 'forum', 'topic' ),
		'priority'   	=> 'core',
	) );
	
	$sidebar->add_field( array(
		'name'       	=> __( 'Sidebar', 'aerious' ),
		'id'          	=> $aerious_meta_prefix . 'sidebar' . $aerious_meta_postfix,
		'type'        	=> 'select',
		'options'     	=> array(
			'' 		  => __( 'Default', 'aerious' ),
			'no' 	  => __( 'No Sidebar', 'aerious' ),
			'left13'  => __( 'Sidebar Left 1/3', 'aerious' ),
			'left14'  => __( 'Sidebar Left 1/4', 'aerious' ),
			'right13' => __( 'Sidebar Right 1/3', 'aerious' ),
			'right14' => __( 'Sidebar Right 1/4', 'aerious' ),
			'both'    => __( 'Both Sidebars', 'aerious' ),
		),
	) );
	
	$sidebar->add_field( array(
		'name'             => __( 'Sidebar 1', 'aerious' ),
		'id'               => $aerious_meta_prefix . 'sidebar_widget' . $aerious_meta_postfix,
		'row_classes'		=> $aerious_meta_prefix . 'sidebar_1' . $aerious_meta_postfix,
		'type'             => 'select',
		'options'          => aerious_get_widget_areas( true )
	) );

$sidebar->add_field( array(
		'name'             => __( 'Sidebar 2', 'aerious' ),
		'id'               => $aerious_meta_prefix . 'sidebar_widget_2' . $aerious_meta_postfix,
		'row_classes'		=> $aerious_meta_prefix . 'sidebar_2' . $aerious_meta_postfix,
		'type'             => 'select',
		'options'          => aerious_get_widget_areas( true )
	) );


}

add_action( 'cmb2_admin_init', 'aerious_sidebar_meta_options' );
	
	