<?php
	
function aerious_page_title_meta_options() {
	
	global $aerious_meta_prefix, $aerious_meta_postfix;

	$title = new_cmb2_box( array(
		'id'            => $aerious_meta_prefix . 'page_title',
		'title'         => __( 'Aerious Title Area & Breadcrumb', 'aerious' ),
		'object_types'  => array( 'page', 'post', 'portfolio', 'product', 'forum', 'topic' ),
		'priority'   	=> 'core',
	) );
	
	$title->add_field( array (
		'name' 		=> __( 'Show Title Area', 'aerious' ),
		'id'       	=> $aerious_meta_prefix . 'show_title_area' . $aerious_meta_postfix,
		'type' 		=> 'select',
		'options' 	=> array(
			'' 		=> __( "Default",'aerious' ),
			'yes' 	=> __( "Yes",'aerious' ),
			'no' 	=> __( "No",'aerious' ),
		)
	) );
	
	$title->add_field( array(
		'name'       	=> __( 'Subtitle', 'aerious' ),
		'id'         	=> $aerious_meta_prefix . 'subtitle' . $aerious_meta_postfix,
		'row_classes'	=> $aerious_meta_prefix . 'subtitle'. $aerious_meta_postfix,
		'type'       	=> 'text',
	) );
	
	$title->add_field( array(
		'name'       	=> __( 'Height', 'aerious' ),
		'id'         	=> $aerious_meta_prefix . 'height' . $aerious_meta_postfix,
		'row_classes'	=> $aerious_meta_prefix . 'height'. $aerious_meta_postfix,
		'type'       	=> 'text',
		'desc' 		 	=> __( 'Enter value with valid CSS unit (px, em, %). i.e. 100px.', 'aerious' ),
	) );
	
	
	$title->add_field( array(
		'name' 			=> __( 'Background Image', 'aerious' ),
		'id'   			=> $aerious_meta_prefix . 'title_bg' . $aerious_meta_postfix,
		'row_classes'   => $aerious_meta_prefix . 'title_bg' . $aerious_meta_postfix,
		'type' 			=> 'file',
		'options' 		=> array( 'url' => false, 'add_upload_file_text' => 'Upload' ),
	) );
	
	$title->add_field( array (
		'name' 			=> __ ( 'Breadcrumb Position', 'aerious' ),
		'id'      		=> $aerious_meta_prefix . 'breadcrumb_position' . $aerious_meta_postfix,
		'row_classes'   => $aerious_meta_prefix . 'breadcrumb_position' . $aerious_meta_postfix,
		'type' 			=> 'select',
		'options' 		=> array(
			'' 						=> __("Default",'aerious' ),
			'aerious-top aerious-left' 		=> __("Top Left",'aerious' ),
			'aerious-top aerious-right'		=> __("Top Right",'aerious' ),
			'aerious-bottom aerious-left' 	=> __("Bottom Left",'aerious' ),
			'aerious-bottom aerious-right' 	=> __("Bottom Right",'aerious' ),
		)
	) );
	
	$title->add_field( array(
		'name'       	=> __( 'Breadcrumb Separator', 'aerious' ),
		'desc' 			=> __( 'Leave empty to use default one.', 'aerious' ),
		'id'       		=> $aerious_meta_prefix . 'breadcrumb_seperator' . $aerious_meta_postfix,
		'row_classes'  	=> $aerious_meta_prefix . 'breadcrumb_seperator' . $aerious_meta_postfix,
		'type'       	=> 'text',
	) );

}

add_action( 'cmb2_admin_init', 'aerious_page_title_meta_options' );
