<?php
/*
 * @package     WBC_Importer - Extension for Importing demo content
 * @author      Webcreations907
 * @version     1.0
 */


/************************************************************************
* Importer will auto load, there is no settings required to put in your
* Reduxframework config file.
*
* BUT- If you want to put the demo importer in a different position on 
* the panel, use the below within your config for Redux.
*************************************************************************/
// $this->sections[] = array(
            //     'id' => 'wbc_importer_section',
            //     'title'  => esc_html__( 'Demo Content', 'aerious' ),
            //     'desc'   => esc_html__( 'Description Goes Here', 'aerious' ),
            //     'icon'   => 'el-icon-website',
            //     'fields' => array(
            //                     array(
            //                         'id'   => 'wbc_demo_importer',
            //                         'type' => 'wbc_importer'
            //                         )
            //                 )
            //     );

/************************************************************************
* Example functions/filters
*************************************************************************/
if ( !function_exists( 'wbc_after_content_import' ) ) {

	/**
	 * Function/action ran after import of content.xml file
	 *
	 * @param (array) $demo_active_import       Example below
	 * [wbc-import-1] => Array
	 *      (
	 *            [directory] => current demo data folder name
	 *            [content_file] => content.xml
	 *            [image] => screen-image.png
	 *            [theme_options] => theme-options.txt
	 *            [widgets] => widgets.json
	 *            [imported] => imported
	 *        )
	 * @param (string) $demo_data_directory_path path to current demo folder being imported.
	 *
	 */

	function wbc_after_content_import( $demo_active_import , $demo_data_directory_path ) {
		//Do something
	}

	// Uncomment the below
	// add_action( 'wbc_importer_after_content_import', 'wbc_after_content_import', 10, 2 );
}

if ( !function_exists( 'wbc_filter_title' ) ) {

	/**
	 * Filter for changing demo title in options panel so it's not folder name.
	 *
	 * @param [string] $title name of demo data folder
	 *
	 * @return [string] return title for demo name.
	 */

	function wbc_filter_title( $title ) {
		return trim( ucfirst( str_replace( "-", " ", $title ) ) );
	}

	// Uncomment the below
	// add_filter( 'wbc_importer_directory_title', 'wbc_filter_title', 10 );
}

if ( !function_exists( 'wbc_importer_description_text' ) ) {

	/**
	 * Filter for changing importer description info in options panel
	 * when not setting in Redux config file.
	 *
	 * @param [string] $title description above demos
	 *
	 * @return [string] return.
	 */

	function wbc_importer_description_text( $description ) {

		$message = '<p>'. esc_html__( 'Best if used on new WordPress install.', 'aerious' ) .'</p>';
		$message .= '<p>'. esc_html__( 'Images are for demo purpose only.', 'aerious' ) .'</p>';

		return $message;
	}

	// Uncomment the below
	// add_filter( 'wbc_importer_description', 'wbc_importer_description_text', 10 );
}

if ( !function_exists( 'wbc_importer_label_text' ) ) {

	/**
	 * Filter for changing importer label/tab for redux section in options panel
	 * when not setting in Redux config file.
	 *
	 * @param [string] $title label above demos
	 *
	 * @return [string] return no html
	 */

	function wbc_importer_label_text( $label_text ) {

		$label_text = 'WBC Importer';

		return $label_text;
	}

	// Uncomment the below
	// add_filter( 'wbc_importer_label', 'wbc_importer_label_text', 10 );
}

if ( !function_exists( 'wbc_change_demo_directory_path' ) ) {

	/**
	 * Change the path to the directory that contains demo data folders.
	 *
	 * @param [string] $demo_directory_path
	 *
	 * @return [string]
	 */

	function wbc_change_demo_directory_path( $demo_directory_path ) {

		//$demo_directory_path = get_template_directory().'/demo-data/';

		return $demo_directory_path;

	}

	// Uncomment the below
	// add_filter('wbc_importer_dir_path', 'wbc_change_demo_directory_path' );
}

if ( !function_exists( 'wbc_importer_before_widget' ) ) {

	/**
	 * Function/action ran before widgets get imported
	 *
	 * @param (array) $demo_active_import       Example below
	 * [wbc-import-1] => Array
	 *      (
	 *            [directory] => current demo data folder name
	 *            [content_file] => content.xml
	 *            [image] => screen-image.png
	 *            [theme_options] => theme-options.txt
	 *            [widgets] => widgets.json
	 *            [imported] => imported
	 *        )
	 * @param (string) $demo_data_directory_path path to current demo folder being imported.
	 *
	 * @return nothing
	 */

	function wbc_importer_before_widget( $demo_active_import , $demo_data_directory_path ) {

		//Do Something

	}

	// Uncomment the below
	// add_action('wbc_importer_before_widget_import', 'wbc_importer_before_widget', 10, 2 );
}

if ( !function_exists( 'wbc_after_theme_options' ) ) {

	/**
	 * Function/action ran after theme options set
	 *
	 * @param (array) $demo_active_import       Example below
	 * [wbc-import-1] => Array
	 *      (
	 *            [directory] => current demo data folder name
	 *            [content_file] => content.xml
	 *            [image] => screen-image.png
	 *            [theme_options] => theme-options.txt
	 *            [widgets] => widgets.json
	 *            [imported] => imported
	 *        )
	 * @param (string) $demo_data_directory_path path to current demo folder being imported.
	 *
	 * @return nothing
	 */

	function wbc_after_theme_options( $demo_active_import , $demo_data_directory_path ) {

		//Do Something

	}

	// Uncomment the below
	// add_action('wbc_importer_after_theme_options_import', 'wbc_after_theme_options', 10, 2 );
}


/************************************************************************
* Extended Example:
* Way to set menu, import revolution slider, and set home page.
*************************************************************************/

if ( !function_exists( 'wbc_extended' ) ) {
	
	function wbc_extended( $demo_active_import , $demo_directory_path ) {
		
		reset( $demo_active_import );
		$current_key = key( $demo_active_import );
		
		/************************************************************************
		* Set HomePage
		*************************************************************************/

		// array of demos/homepages to check/select from
		$wbc_home_pages = array(
			'1. full-demo' => 'Home',
			'2. minimal-demo' => 'Home',
			'3. fashion-demo' => 'HOME',
			'4. app-land-demo' => 'Home',
			'5. corporate-demo' => 'Home – Light',
		);
		
		//$page = get_page_by_title( $wbc_home_pages[$demo_active_import[$current_key]['directory']] );
		
		if ( isset( $demo_active_import[$current_key]['directory'] ) && !empty( $demo_active_import[$current_key]['directory'] ) && array_key_exists( $demo_active_import[$current_key]['directory'], $wbc_home_pages ) ) {
			$page = get_page_by_title( $wbc_home_pages[$demo_active_import[$current_key]['directory']] );
			if ( isset( $page->ID ) ) {
				update_option( 'page_on_front', $page->ID );
				update_option( 'show_on_front', 'page' );
			}
		}
		
		/************************************************************************
		* Set PostsPage
		*************************************************************************/

		// array of demos/homepages to check/select from
		$wbc_post_pages = array(
			'1. full-demo' => 'Blog Posts Standard',
			'2. minimal-demo' => 'Blog Posts Standard',
			'3. fashion-demo' => 'BLOG',
			'5. corporate-demo' => 'Blog Posts Standard',
		);
		
		//$post = get_page_by_title( $wbc_post_pages[$demo_active_import[$current_key]['directory']] );
		
		if ( isset( $demo_active_import[$current_key]['directory'] ) && !empty( $demo_active_import[$current_key]['directory'] ) && array_key_exists( $demo_active_import[$current_key]['directory'], $wbc_post_pages ) ) {
			$post = get_page_by_title( $wbc_post_pages[$demo_active_import[$current_key]['directory']] );
			if ( isset( $post->ID ) ) {
				update_option( 'page_for_posts', $post->ID );
			}
		}
		
		/************************************************************************
		* Setup WooCommerce, Wishlist
		*************************************************************************/
		
		if( class_exists( 'WooCommerce' ) ){
			
			// Set WooCommerce Pages
			$shoppage = get_page_by_title( 'Shop' );
			$cartpage = get_page_by_title( 'Cart' );
			$checkoutpage = get_page_by_title( 'Checkout' );
			$myaccountpage = get_page_by_title( 'My Account' );
			$wishlistpage = get_page_by_title( 'Wishlist' );

			if ( $shoppage->ID ) {
				update_option('woocommerce_shop_page_id', $shoppage->ID); // Shop Page
			}

			if ( $cartpage->ID ) {
				update_option('woocommerce_cart_page_id', $cartpage->ID); // Cart Page
			}

			if ( $checkoutpage->ID ) {
				update_option('woocommerce_checkout_page_id', $checkoutpage->ID); // Checkout Page
			}

			if ( $myaccountpage->ID ) {
				update_option('woocommerce_myaccount_page_id', $myaccountpage->ID); // Account Page
			}
			
			if ( $wishlistpage->ID ) {
				update_option('yith_wcwl_wishlist_page_id', $wishlistpage->ID); // Wishlist Page
			}

		}

		update_option('blogdescription', 'Super Light Multipurpose WordPress Theme' );
		
		/************************************************************************
		* Import slider(s) for the current demo being imported
		*************************************************************************/

		if ( class_exists( 'RevSlider' ) ) {

			$wbc_sliders_array = array(
				'1. full-demo' => 'home-slider.zip', //Set slider zip name
				'2. minimal-demo' => 'home-slider.zip', //Set slider zip name
				'3. fashion-demo' => 'fashion_slider.zip', //Set slider zip name
			);

			if ( isset( $demo_active_import[$current_key]['directory'] ) && !empty( $demo_active_import[$current_key]['directory'] ) && array_key_exists( $demo_active_import[$current_key]['directory'], $wbc_sliders_array ) ) {
				$wbc_slider_import = $wbc_sliders_array[$demo_active_import[$current_key]['directory']];

				if ( file_exists( $demo_directory_path.$wbc_slider_import ) ) {
					$slider = new RevSlider();
					$slider->importSliderFromPost( true, true, $demo_directory_path.$wbc_slider_import );
				}
			}
		}

		/************************************************************************
		* Setting Menus
		*************************************************************************/

		$wbc_menu_array = array( '1. full-demo', '2. minimal-demo', '3. fashion-demo', '4. app-land-demo' , '5. corporate-demo' );

		if ( isset( $demo_active_import[$current_key]['directory'] ) && !empty( $demo_active_import[$current_key]['directory'] ) && in_array( $demo_active_import[$current_key]['directory'], $wbc_menu_array ) ) {
			
			$menus = wp_get_nav_menus();
			$menus_locations = array();

			if( ! empty( $menus ) ) {
				
				for( $i = 0; $i < count( $menus ); $i++ ){
					
					switch( $menus[$i]->slug ){
						case 'main-menu':
						case 'mobile-main-menu':
							$menus_locations[ 'main_menu' ] = $menus[$i]->term_id;
							$menus_locations[ 'mobile_main_menu' ] = $menus[$i]->term_id;
						break;

						case '404-useful-links':
							$menus_locations[ '404_menu' ] = $menus[$i]->term_id;
						break;

					}
					
				}

				set_theme_mod( 'nav_menu_locations', $menus_locations );
			}
		}

	}

	add_action( 'wbc_importer_after_content_import', 'wbc_extended', 10, 2 );
}