<?php

function aerious_shortcodes_popup() {
	$aerious_shortcode = array(
		'aerious_alert'						=> __('Alert Message Box', 'aerious-core'),
		'aerious_action_box'				=> __('Action Box', 'aerious-core'),						
		'aerious_blockquote'				=> __('Blockquote', 'aerious-core'),
		'aerious_button'					=> __('Button', 'aerious-core'),
		'aerious_blog_posts'				=> __('Blog Posts', 'aerious-core'),
		'aerious_call_to_action'			=> __('Call to Action', 'aerious-core'),
		'aerious_counter_1'					=> __('Counter 1', 'aerious-core'),
		'aerious_counter_2'					=> __('Counter 2', 'aerious-core'),
		'aerious_clients'					=> __('Clients - Carousel', 'aerious-core'),
		'aerious_dropcap'					=> __('Dropcap', 'aerious-core'),
		'aerious_feature_box'				=> __('Feature Box', 'aerious-core'),
		'aerious_headline'					=> __('Headline', 'aerious-core'),
		'aerious_horizontal_progress_bar'	=> __('Horizontal Progress Bar', 'aerious-core'),
		'aerious_icon_with_text'			=> __('Icon with Text', 'aerious-core'),
		'aerious_icon_list_item'			=> __('Icon List Item', 'aerious-core'),
		'aerious_icon_progress_bar'			=> __('Icon Progress Bar', 'aerious-core'),
		'aerious_image_box'					=> __('Image Box', 'aerious-core'),
		'aerious_image_gallery'				=> __('Image Gallery', 'aerious-core'),
		'aerious_image_list_item'			=> __('Image List Item', 'aerious-core'),
		'aerious_ordered_list'				=> __('List - Ordered', 'aerious-core'),
		'aerious_unordered_list'			=> __('List - UnOrdered', 'aerious-core'),
		'aerious_opening_hours'				=> __('Opening Hours', 'aerious-core'),
		'aerious_portfolio'					=> __('Portfolios style 1', 'aerious-core'),
		'aerious_portfolio_list'			=> __('Portfolios style 2', 'aerious-core'),
		'aerious_portfolio_style3'			=> __('Portfolios style 3', 'aerious-core'),
		'aerious_pie_chart_icon_percent'	=> __('Pie Chart 2', 'aerious-core'),
		'aerious_content'					=> __('Section Content', 'aerious-core'),
		'aerious_testimonial'				=> __('Testimonials', 'aerious-core'),
		'aerious_title_subtitle'			=> __('Title & Subtitle', 'aerious-core'),
		'aerious_teaser_box'				=> __('Teaser Box', 'aerious-core'),		
		'aerious_video_banner'				=> __('Video Banner', 'aerious-core'),
		'aerious_vertical_progress_bar'		=> __('Vertical Progress Bar', 'aerious-core'),
		'aerious_woocommerce_products'		=> __('WooCommerce Products', 'aerious-core')
	);		
?>
<div class="aerious-sc-loader"></div>
<div class="aerious-sc-modal-dialog" style="visibility: hidden;">
    <div class="modal-content">
        <div class="modal-header">
            <button type="button" class="close-sc-dialog">&times;</button>
            <h3 class="modal-title"><?php esc_html_e('Aerious Shortcodes', 'aerious-core'); ?></h3>
        </div>    
        <div class="modal-body">
        	<div class="sc-element-list">
                <ul class="sc-content-layouts">
                    <?php
                    foreach($aerious_shortcode as $shortcode_key => $shortcode_value){
                    ?>
                        <li class="<?php echo esc_attr( $shortcode_key ); ?> sc-element-button">
                            <div class="sc-li-container">
                            	<a id="<?php echo esc_attr( $shortcode_key ); ?>" href="#" class="sc-element-fields" data-element-name="<?php echo esc_attr( $shortcode_value ); ?>">
                                    <span class="sc-li-icon">
                                    <?php
                                        $img_name	= strtolower( $shortcode_value );
                                        $img_name	= preg_replace('/[-]+/', ' ', $img_name);
                                        $img_name	= preg_replace('!\s+!', '-', $img_name) . '.png';
                                    ?>
                                        <img src="<?php echo plugins_url( ) .'/aerious_core/assets/images/icons/'. esc_attr( $img_name ); ?>" alt="">
                                    </span>
                                    <span class="sc-li-title"><?php echo esc_html( $shortcode_value );?></span>
                                </a>
                            </div>
                        </li>
                    <?php
                    }
                    ?>
                </ul>
            </div>
            <div class="aerious-sc-form-container"></div>
        </div>
    </div>
</div>
<?php
}
add_action('admin_footer', 'aerious_shortcodes_popup');