<?php

class AeriousBlogPosts extends AeriousWidget {
	protected $params;
	public function __construct() {
		parent::__construct(
			'aerious_blog_posts', // Base ID
			__( 'Aerious - Blog Posts', 'aerious' ), // Name
			array( 'description' 	=> esc_html__( 'Display recent, most viewed and commented posts', 'aerious' ), ) // Args
		);

		$this->setParams();
	}

	protected function setParams() {
		
		$this->params = array(
			array(
				'name' 			=> 'title',
				'type' 			=> 'textfield',
				'title' 		=> __( 'Title', 'aerious' ),
			),
            array(
				'name' 			=> 'thumbnail',
				'type' 			=> 'dropdown',
				'title' 		=> __( 'Show Thumbnail', 'aerious' ),
				'options' 		=> array(
									'yes' 	=> __( 'Yes', 'aerious' ), 
									'no'	=> __ ( 'No', 'aerious' ),
								)
			),
			array(
				'name' 			=> 'thumb_pos',
				'type' 			=> 'dropdown',
				'title' 		=> __( 'Thumbnail Position', 'aerious' ),
				'options' 		=> array(
									'' => __( 'Default', 'aerious' ),
									'left' => __( 'Left', 'aerious' ),
								)
			),
			array(
				'name' 			=> 'no_of_posts',
				'type' 			=> 'textfield',
				'title' 		=> __( 'Number of Posts', 'aerious' ),
			),
			
			array(
				'name' 			=> 'show_date',
				'type' 			=> 'dropdown',
				'title' 		=> __( 'Show Date', 'aerious' ),
				'options' 		=> array(
									'yes' => __( 'Yes', 'aerious' ), 
									'no' => __ ( 'No', 'aerious' ),
								)
			),
           
            array(
				'name' 			=> 'show_category',
				'type' 			=> 'dropdown',
				'title' 		=> __( 'Show Category', 'aerious' ),
				'options' 		=> array(
									'yes' => __( 'Yes', 'aerious' ), 
									'no' => __ ( 'No', 'aerious' ),
								)
			),
            array(
				'name' 			=> 'show_tags',
				'type' 			=> 'dropdown',
				'title' 		=> __( 'Show Tags', 'aerious' ),
				'options' 		=> array(
									'yes' => __( 'Yes', 'aerious' ), 
									'no' => __ ( 'No', 'aerious' ),
								)
			),
            
            array(
				'name' 			=> 'include_category',
				'type' 			=> 'textfield',
				'title' 		=> __( 'Include Category', 'aerious' ),
				
			),
            
             array(
				'name' 			=> 'exclude_category',
				'type' 			=> 'textfield',
				'title' 		=> __( 'Exclude Category', 'aerious' ),
				
			),   
            
            array(
				'name' 			=> 'date_format',
				'type' 			=> 'textfield',
				'title' 		=> __( 'Date Format', 'aerious' ),
				
			),
			
            array(
				'name' 			=> 'recent_tabs',
				'type' 			=> 'checkbox',
				'title' 		=> __( 'Disable Recent Tab', 'aerious' ),
				'options' 		=> array(
									'yes' => __( 'Recent', 'aerious' )
								)
			),
            array(
				'name' 			=> 'popular_tabs',
				'type' 			=> 'checkbox',
				'title' 		=> __( 'Disable Popular Tab', 'aerious' ),
				'options' 		=> array(
									'yes' => __( 'Popular', 'aerious' )
								)
			),
            array(
				'name' 			=> 'appriciated_tabs',
				'type' 			=> 'checkbox',
				'title' 		=> __( 'Disable Appreciated Tab', 'aerious' ),
				'options' 		=> array(
									'yes' => __( 'Appreciated', 'aerious' )
								)
			),
		);
	}

	public function widget( $args, $instance ) {
		
		extract ( $args );
		
        $title 				= apply_filters( 'widget_title', isset( $instance['title'] ) ? $instance['title'] : '' );
        $no_of_posts 		= esc_attr( $instance[ 'no_of_posts' ] );
        $show_date 			= esc_attr( $instance[ 'show_date' ] );
        $date_format 		= $instance[ 'date_format' ] ? esc_attr( $instance[ 'date_format' ] ) : 'M d, Y' ;
        $show_category 		= esc_attr( $instance[ 'show_category' ] );
        $show_tags 			= esc_attr( $instance[ 'show_tags' ] );
        $thumbnail 			= esc_attr( $instance[ 'thumbnail' ] );
        $thumb_pos 			= esc_attr( $instance[ 'thumb_pos' ] );
        $popular_tabs 		= esc_attr( $instance[ 'popular_tabs' ] );
        $appreciated_tabs 	= esc_attr( $instance[ 'appriciated_tabs' ] );
        $recent_tabs 		= esc_attr( $instance[ 'recent_tabs' ] );
        $include_category 	= explode(",", esc_attr( $instance[ 'include_category' ] ) );
		$exclude_category 	= explode(",", esc_attr( $instance[ 'exclude_category' ] ) );
       	
		 print_r($before_widget);
		
		if ( $title ) {
		   print_r($before_title) ;
					echo esc_html( $title ) ;
					print_r($after_title);
		}
		
		$tabs = array(
			'recent' => $recent_tabs,
			'popular' => $popular_tabs,
			'appreciated' => $appreciated_tabs
		);
		
		$nums_array = aerious_generate_unique_random_numbers( 3 );
		
		?>
		
	    <div class="aerious-posts-widget">
		
			<?php
			
			$i = 0;
			foreach( $tabs as $val ){
				if( $val == 'yes' ){
					$i++;
				}
			}
			
			if( $i <= 1 ):  ?>
		
            <ul class="nav nav-tabs">
			
                <?php if( $recent_tabs != 'yes' ): ?>
						<li class="active"><a data-toggle="tab" href="#recent-<?php  print_r($nums_array[0]); ?>"><?php esc_html_e( 'Recent', 'aerious' ); ?></a></li>
                <?php endif; ?>  
				
                <?php if( $popular_tabs != 'yes' ): ?>
						<li <?php if( $recent_tabs == 'yes' ): ?>class="active"<?php endif; ?>><a data-toggle="tab" href="#popular-<?php print_r($nums_array[1]); ?>"><?php esc_html_e( 'Popular', 'aerious' ); ?></a></li>         
                <?php endif; ?>  
                
				<?php if( $appreciated_tabs != 'yes' ): ?>
						<li  <?php if( $recent_tabs == 'yes' && $popular_tabs == 'yes' ): ?>class="active"<?php endif; ?>><a data-toggle="tab" href="#appreciated-<?php print_r($nums_array[2]); ?>"><?php esc_html_e( 'Appreciated', 'aerious' ); ?></a></li>        
				<?php endif; ?> 
             
            </ul>
			
			<?php endif; ?>
			
			
			<?php if( $i <= 1 ):  ?>
			
			<div class="tab-content">
			
			<?php endif; ?>
			
			
                <?php if( $recent_tabs != 'yes' ): ?>
				
					<?php if( $i <= 1 ):  ?>
					<div id="recent-<?php  print_r($nums_array[0]); ?>" class="tab-pane fade in active">
					<?php endif; ?>
						<ul class="aerious-blog-list">
                        
						<?php
                            $args = array(
                                'post_type' 		=> 'post',
								'ignore_sticky_posts' => 1,
                                'posts_per_page' 	=> $no_of_posts,
                                'cat'     			=> $include_category,
                                'category__not_in' 	=> $exclude_category,
								'tax_query' 		=> array(
									array(
										'taxonomy'	=> 'post_format',
										'field' 	=> 'slug',
										'terms' 	=> array( 'post-format-quote', 'post-format-link' ),
										'operator'	=> 'NOT IN',
									)
								)
                            );
							
                            $the_query = new WP_Query( $args );
                      
							if ( $the_query->have_posts() ) :
							while ( $the_query->have_posts() ) : $the_query->the_post(); ?>

                            <li <?php post_class(); ?> >
								
								<?php if ( $thumb_pos != 'left' ): ?>
								
									<?php if( $thumbnail == 'no' ): ?>
										<h5 class="title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h5>
									<?php else: ?>
										 <?php if( has_post_thumbnail() ): ?>
											 <div class="post-image-title">
												<div class="post-thumbnail">
													<?php the_post_thumbnail( 'widget-thumbnail' ); ?>
												</div>
												<div class="title">
													<h5><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h5>
												</div>
											 </div> 
										<?php else: ?>
											   <h5 class="title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h5>
										 <?php endif; ?>
									<?php endif; ?>
									
									<?php if( $show_date == 'yes' ): ?>
										<div class="post-date"><?php the_time( $date_format ); ?></div>
									<?php endif; ?>
									
									<?php if( ( $show_category == 'yes' && has_category() ) || ( $show_tags == 'yes' && has_tag() ) ): ?>
									
										<div class="post-meta <?php if( has_post_thumbnail() ){ echo "has-image"; } ?>">
										
											<?php if( $show_category == 'yes' && has_category() ): ?>
											<div class="post-category"><strong><?php esc_html_e( 'Category: ', 'aerious' ); ?></strong><?php the_category( ', ' ); ?></div>
											<?php endif; ?>
																						
											<?php if( $show_tags == 'yes' && has_tag() ): ?>
											<div class="post-tags"><strong><?php esc_html_e( 'Tagged: ', 'aerious' ); ?></strong><?php the_tags( '', ', ' ); ?></div>
											<?php endif; ?>
										</div>
									<?php endif; ?>
								<?php else: ?>
									<?php if( $thumbnail != 'no' ): ?>
										<?php if( has_post_thumbnail()): ?>
											<div class="post-image"><?php the_post_thumbnail( 'thumbnail' ); ?></div>
										<?php endif; ?>
									<?php endif; ?>
									<div class="post-meta">
										<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
										<div><i class="fa fa-clock-o"></i><?php the_time( $date_format); ?></div>
										<?php if( $show_category == 'yes' && has_category() ): ?>
											<span><i class="fa fa-angle-right"></i><?php the_category( ', ' ); ?> </span>
										<?php endif; ?>
										<?php if( $show_tags == 'yes' && has_tag() ): ?>
											<span><?php the_tags( '<i class="fa fa-tags"></i>', ', ' ); ?></span>
											<?php endif; ?>
									</div>
									<div class="aerious-clearfix"></div>
									
								<?php endif; ?>
                            </li>

							<?php endwhile; wp_reset_postdata();
							else :
								esc_html_e( 'No Posts Found', 'aerious' );
							endif; ?>

                        </ul>
					<?php if( $i <= 1 ):  ?>
					</div>           
					<?php endif; ?>
                <?php endif; ?>  
                
                <?php if( $popular_tabs != 'yes' ): ?>
					
					<?php if( $i <= 1 ):  ?>
                    <div id="popular-<?php  print_r($nums_array[1]); ?>" class="tab-pane fade <?php if( $recent_tabs == 'yes' ): ?>in active<?php endif; ?>">
					<?php endif; ?>
						<ul class="aerious-blog-list">
                        <?php
                            $args = array(
                                'post_type' 		=> 'post',
								'ignore_sticky_posts' => 1,
                                'posts_per_page' 	=> $no_of_posts,
                                'orderby'			=> 'meta_value',
                                'meta_key' 			=> 'aerious_post_views_count',
								'cat'     			=>  $include_category,
                                'category__not_in'	=>  $exclude_category,
								'tax_query' 		=> array(
									array(
										'taxonomy'	=> 'post_format',
										'field' 	=> 'slug',
										'terms' 	=> array( 'post-format-quote', 'post-format-link' ),
										'operator' 	=> 'NOT IN',
									)
								)
                               
                            );
                            $the_query = new WP_Query( $args );
                      
							if ( $the_query->have_posts() ) :
							while ( $the_query->have_posts() ) : $the_query->the_post(); ?>

                            <li <?php post_class(); ?> >
								
								<?php if ( $thumb_pos != 'left' ): ?>
							
									<?php if( $thumbnail == 'no' ): ?>
										<h5 class="title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h5>
									<?php else: ?>
										 <?php if( has_post_thumbnail() ): ?>
											 <div class="post-image-title">
												<div class="post-thumbnail">
													<?php the_post_thumbnail( 'widget-thumbnail' ); ?>
											   </div>
												<div class="title">
													<h5><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h5>
												</div>
											 </div> 
										<?php else: ?>
											   <h5 class="title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h5>
										 <?php endif; ?>
									<?php endif; ?>
									
									<?php if( $show_date == 'yes' ): ?>
										<div class="post-date"><?php the_time( $date_format ); ?></div>
									<?php endif; ?>
									
									<?php if( ( $show_category == 'yes' && has_category() ) || ( $show_tags == 'yes' && has_tag() ) ): ?>
									
										<div class="post-meta <?php if( has_post_thumbnail() ){ echo "has-image"; } ?>">
										
											<?php if( $show_category == 'yes' && has_category() ): ?>
											<div class="post-category"><strong><?php esc_html_e( 'Category: ', 'aerious' ); ?></strong><?php the_category( ', ' ); ?></div>
											<?php endif; ?>
																						
											<?php if( $show_tags == 'yes' && has_tag() ): ?>
											<div class="post-tags"><strong><?php esc_html_e( 'Tagged: ', 'aerious' ); ?></strong><?php the_tags( '', ', ' ); ?></div>
											<?php endif; ?>
										</div>
									<?php endif; ?>
								<?php else: ?>
									<?php if( $thumbnail != 'no' ): ?>
										<?php if( has_post_thumbnail()): ?>
											<div class="post-image"><?php the_post_thumbnail( 'thumbnail' ); ?></div>
										<?php endif; ?>
									<?php endif; ?>
									<div class="post-meta">
										<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
										<div><i class="fa fa-clock-o"></i><?php the_time( $date_format); ?></div>
										<?php if( $show_category == 'yes' && has_category() ): ?>
											<span><i class="fa fa-angle-right"></i><?php the_category( ', ' ); ?> </span>
										<?php endif; ?>
										<?php if( $show_tags == 'yes' && has_tag() ): ?>
											<span><?php the_tags( '<i class="fa fa-tags"></i>', ', ' ); ?></span>
											<?php endif; ?>
									</div>
									<div class="aerious-clearfix"></div>
								<?php endif; ?>
                            </li>

                        <?php endwhile; wp_reset_postdata();
                        else :
							esc_html_e( 'No Posts Found', 'aerious' );
                        endif; ?>

                        </ul>
                    <?php if( $i <= 1 ):  ?>
					</div>           
					<?php endif; ?>
                <?php endif; ?>  
                 
                <?php if( $appreciated_tabs != 'yes' ): ?>
					<?php if( $i <= 1 ):  ?>
                    <div id="appreciated-<?php  print_r($nums_array[2]); ?>" class="tab-pane fade <?php if( $recent_tabs == 'yes' && $popular_tabs == 'yes' && $appreciated_tabs != 'yes' ): ?>in active<?php endif; ?>">
					<?php endif; ?>
						<ul class="aerious-blog-list">
                        <?php

                            $args = array(
                                'post_type' => 'post',
								'ignore_sticky_posts' => 1,
                                'posts_per_page' 	=>  $no_of_posts,
                                'orderby'			=>  'comment_count',
								'cat'     			=>  $include_category,
                                'category__not_in' 	=>  $exclude_category,
								'tax_query' 		=> array(
									array(
										'taxonomy' 	=> 'post_format',
										'field'		=> 'slug',
										'terms' 	=> array( 'post-format-quote', 'post-format-link' ),
										'operator' 	=> 'NOT IN',
									)
								)
                               
                            );
                            $the_query = new WP_Query( $args );
                       
							if ( $the_query->have_posts() ) :
							while ( $the_query->have_posts() ) : $the_query->the_post(); ?>

                            <li <?php post_class(); ?> >
							
								<?php if ( $thumb_pos != 'left' ): ?>
							
									<?php if( $thumbnail == 'no' ): ?>
										<h5 class="title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h5>
									<?php else: ?>
										 <?php if( has_post_thumbnail() ): ?>
											 <div class="post-image-title">
												<div class="post-thumbnail">
													<?php the_post_thumbnail( 'widget-thumbnail' ); ?>
											   </div>
												<div class="title">
													<h5><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h5>
												</div>
											 </div> 
										<?php else: ?>
											   <h5 class="title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h5>
										 <?php endif; ?>
									<?php endif; ?>
									
									<?php if( $show_date == 'yes' ): ?>
										<div class="post-date"><?php the_time( $date_format ); ?></div>
									<?php endif; ?>
									
									<?php if( ( $show_category == 'yes' && has_category() ) || ( $show_tags == 'yes' && has_tag() ) ): ?>
									
										<div class="post-meta <?php if( has_post_thumbnail() ){ echo "has-image"; } ?>">
										
											<?php if( $show_category == 'yes' && has_category() ): ?>
											<div class="post-category"><strong><?php esc_html_e( 'Category: ', 'aerious' ); ?></strong><?php the_category( ', ' ); ?></div>
											<?php endif; ?>
																						
											<?php if( $show_tags == 'yes' && has_tag() ): ?>
											<div class="post-tags"><strong><?php esc_html_e( 'Tagged: ', 'aerious' ); ?></strong><?php the_tags( '', ', ' ); ?></div>
											<?php endif; ?>
										</div>
									<?php endif; ?>
								<?php else: ?>
									<?php if( $thumbnail != 'no' ): ?>
										<?php if( has_post_thumbnail()): ?>
											<div class="post-image"><?php the_post_thumbnail( 'thumbnail' ); ?></div>
										<?php endif; ?>
									<?php endif; ?>
									<div class="post-meta">
										<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
										<div><i class="fa fa-clock-o"></i><?php the_time( $date_format); ?></div>
										<?php if( $show_category == 'yes' && has_category() ): ?>
											<span><i class="fa fa-angle-right"></i><?php the_category( ', ' ); ?> </span>
										<?php endif; ?>
										<?php if( $show_tags == 'yes' && has_tag() ): ?>
											<span><?php the_tags( '<i class="fa fa-tags"></i>', ', ' ); ?></span>
										<?php endif; ?>
									</div>
									<div class="aerious-clearfix"></div>
								
								
								<?php endif; ?>
                            </li>
                        <?php endwhile; wp_reset_postdata();
                        else :
							
							esc_html_e( 'No Posts Found', 'aerious' );
                        endif; ?>

                        </ul>
                    <?php if( $i <= 1 ):  ?>
					</div>        
					<?php endif; ?>	
                <?php endif; ?>
				
            <?php if( $i <= 1 ):  ?>
            </div>
			<?php endif; ?>
			
		</div> <?php
		
		 print_r($after_widget);
		
	}
}
