<?php

class AeriousButton extends AeriousWidget {
	protected $params;
	public function __construct() {
		parent::__construct(
			'aerious_button_widget', // Base ID
			__( 'Aerious - Button', 'aerious' ), // Name
			array( 'description' 	=> esc_html__( 'Button', 'aerious' ), ) // Args
		);

		$this->setParams();
	}

	protected function setParams() {
		$this->params = array(
			array(
				'name' 			=> 'text',
				'type' 			=> 'textfield',
				'title' 		=> __( 'Text', 'aerious' ),
			),
			array(
				'name' 			=> 'link',
				'type' 			=> 'textfield',
				'title' 		=> __( 'Link', 'aerious' ),
			),
			array(
				'name' 			=> 'target',
				'type' 			=> 'dropdown',
				'title' 		=> __( 'Target', 'aerious' ),
				'options' 		=> array(
									'_self' 	=> __( 'Same Window', 'aerious' ),
									'_blank' 	=> __( 'New Window', 'aerious' ),
								)
			),
			array(
				'name' 			=> 'style',
				'type' 			=> 'dropdown',
				'title' 		=> __( 'Style', 'aerious' ),
				'options' 		=> array(
					'aerious-btn-default' 		=> __( 'Default', 'aerious' ),
					'aerious-btn-white' 		=> __( 'White', 'aerious' ),
					'aerious-btn-success' 		=> __( 'Green', 'aerious' ),
					'aerious-btn-info' 			=> __( 'Sky Blue', 'aerious' ),
					'aerious-btn-warning' 		=> __( 'Orange', 'aerious' ),
					'aerious-btn-danger' 		=> __( 'Red', 'aerious' ),
					'aerious-btn-gray' 			=> __( 'Gray', 'aerious' ),
					'aerious-btn-black' 		=> __( 'Black', 'aerious' ),
					'aerious-btn-inverse' 		=> __( 'Classic Black', 'aerious' ),
					'aerious-btn-transparent' 	=> __( 'Transparent', 'aerious' ),
				)
			),
			array(
				'name' 			=> 'size',
				'type' 			=> 'dropdown',
				'title' 		=> __( 'Size', 'aerious' ),
				'options' 		=> array(
									'' 				=> __( 'Default', 'aerious' ),
									'aerious-btn-xs' 	=> __( 'Mini', 'aerious' ),
									'aerious-btn-sm' 	=> __( 'Small', 'aerious' ),
									'aerious-btn-md' 	=> __( 'Medium', 'aerious' ),
									'aerious-btn-lg' 	=> __( 'Large', 'aerious' ),
									'aerious-btn-xlg' 	=> __( 'Extra Large', 'aerious' ),
								)
			),
			array(
				'name' 			=> 'shape',
				'type' 			=> 'dropdown',
				'title' 		=> __( 'Shape', 'aerious' ),
				'options' 		=> array(
									'' 				=> __( 'Default', 'aerious' ),
									'square' 		=> __( 'Square', 'aerious' ),
									'round' 		=> __( 'Round', 'aerious' ),
									'round_right' 	=> __( 'Round from right', 'aerious' ),
									'round_left' 	=> __( 'Round from left', 'aerious' ),
								)
			),
			array(
				'name' 			=> 'full_width',
				'type' 			=> 'dropdown',
				'title' 		=> __( 'Full Width', 'aerious' ),
				'options' 		=> array(
									'' 				=> __( 'No', 'aerious' ),
									'aerious-btn-block' => __( 'Yes', 'aerious' ),
								)
			),
			array(
				'name' 			=> 'icon_pack',
				'type' 			=> 'dropdown',
				'title' 		=> __( 'Icon Pack', 'aerious' ),
				'options' 		=> array(
									'' 				=> '',
									'fontawesome' 	=> __( 'Font Awesome', 'aerious' ),
									'eleganticons' 	=> __( 'Elegant Icons', 'aerious' ),
								)
			),
			array(
				'name' 			=> 'icon_fa',
				'type' 			=> 'icon-list',
				'title' 		=> __( 'Fontawesome', 'aerious' ),
			),
			array(
				'name' 			=> 'icon_ei',
				'type' 			=> 'icon-list',
				'title' 		=> __( 'Elegant Icons', 'aerious' ),
			),
			array(
				'name' 			=> 'icon_position',
				'type' 			=> 'dropdown',
				'title' 		=> __( 'Icon Position', 'aerious' ),
				'options' 		=> array(
									'left' 	=> __( 'Left', 'aerious' ),
									'right' => __( 'Right', 'aerious' ),
								)
			),
			array(
				'name' 			=> 'icon_size',
				'type' 			=> 'textfield',
				'title' 		=> __( 'Icon Size', 'aerious' ),
			),
			array(
				'name' 			=> 'icon_color',
				'type' 			=> 'colorpicker',
				'title' 		=> __( 'Icon Color', 'aerious' ),
			),
			array(
				'name' 			=> 'space_bw_icon_text',
				'type' 			=> 'textfield',
				'title' 		=> __( 'Space between icon and text', 'aerious' ),
			),
			array(
				'name' 			=> 'show_design',
				'type' 			=> 'checkbox',
				'title' 		=> __( 'Show Design Options', 'aerious' ),
				'options' 		=> array(
									'yes' => __( 'Yes', 'aerious' ),
								)
			),
			array(
				'name' 			=> 'color',
				'type' 			=> 'colorpicker',
				'title' 		=> __( 'Color', 'aerious' ),
			),
			array(
				'name' 			=> 'hover_color',
				'type' 			=> 'colorpicker',
				'title' 		=> __( 'Hover Color', 'aerious' ),
			),
			array(
				'name' 			=> 'bg_color',
				'type' 			=> 'colorpicker',
				'title' 		=> __( 'Background Color', 'aerious' ),
			),
			array(
				'name' 			=> 'hover_bg_color',
				'type' 			=> 'colorpicker',
				'title' 		=> __( 'Hover Background Color', 'aerious' ),
			),
			array(
				'name' 			=> 'border_style',
				'type' 			=> 'dropdown',
				'title' 		=> __( 'Border Style', 'aerious' ),
				'options' 		=> array(
									'none' 		=> __( 'None', 'aerious' ),
									'solid' 	=> __( 'Solid', 'aerious' ),
									'dotted' 	=> __( 'Dotted', 'aerious' ),
									'dashed' 	=> __( 'Dashed', 'aerious' ),
									'double' 	=> __( 'Double', 'aerious' ),
									'groove' 	=> __( 'Groove', 'aerious' ),
									'ridge' 	=> __( 'Ridge', 'aerious' ),
									'inset' 	=> __( 'Inset', 'aerious' ),
									'outset' 	=> __( 'Outset', 'aerious' ),
								)
			),
			array(
				'name' 			=> 'hover_border_style',
				'type' 			=> 'dropdown',
				'title' 		=> __( 'Hover Border Style', 'aerious' ),
				'options' 		=> array(
									'none' 		=> __( 'None', 'aerious' ),
									'solid' 	=> __( 'Solid', 'aerious' ),
									'dotted' 	=> __( 'Dotted', 'aerious' ),
									'dashed' 	=> __( 'Dashed', 'aerious' ),
									'double' 	=> __( 'Double', 'aerious' ),
									'groove' 	=> __( 'Groove', 'aerious' ),
									'ridge' 	=> __( 'Ridge', 'aerious' ),
									'inset' 	=> __( 'Inset', 'aerious' ),
									'outset' 	=> __( 'Outset', 'aerious' ),
								)
			),
			array(
				'name' 			=> 'border_width',
				'type' 			=> 'textfield',
				'title' 		=> __( 'Border Size', 'aerious' ),
			),
			array(
				'name' 			=> 'hover_border_width',
				'type' 			=> 'textfield',
				'title' 		=> __( 'Hover Border Size', 'aerious' ),
			),
			array(
				'name' 			=> 'border_color',
				'type' 			=> 'colorpicker',
				'title' 		=> __( 'Border Color', 'aerious' ),
			),
			array(
				'name' 			=> 'hover_border_color',
				'type' 			=> 'colorpicker',
				'title' 		=> __( 'Hover Border Color', 'aerious' ),
			),
			array(
				'name' 			=> 'text_size',
				'type' 			=> 'textfield',
				'title' 		=> __( 'Text Size', 'aerious' ),
			),
			array(
				'name' 			=> 'text_transform',
				'type' 			=> 'dropdown',
				'title' 		=> __( 'Text Transform', 'aerious' ),
				'options' 		=> array(
									'' 				=> __( 'Default', 'aerious' ),
									'capitalize' 	=> __( 'Capitalize', 'aerious' ),
									'uppercase' 	=> __( 'Uppercase', 'aerious' ),
									'lowercase' 	=> __( 'Lowercase', 'aerious' ),
								)
			),
			array(
				'name' 			=> 'hover_icon_color',
				'type' 			=> 'colorpicker',
				'title' 		=> __( 'Hover Icon Color', 'aerious' ),
			),
			array(
				'name' 			=> 'margin',
				'type' 			=> 'textfield',
				'title' 		=> __( 'Margin (Space around the button)', 'aerious' ),
				'description' 	=> __( 'Insert margin in format: 0px 10px 10px 0px format: (top right bottom left)', 'aerious' ),
			),
			
		);
	}

	public function widget( $args, $instance) {
		
		extract ( $args );
        $text 					= empty( $instance[ 'text' ] ) 					? __( 'button', 'aerious' ) 			: esc_html( $instance[ 'text' ] );
        $link 					= empty( $instance[ 'link' ] ) 					? '' 				: esc_url( $instance[ 'link' ] );
        $target 				= empty( $instance[ 'target' ] ) 				? '_self' 			: esc_attr( $instance[ 'target' ] );
        $style 					= empty( $instance[ 'style' ] ) 				? 'aerious-btn-default' : esc_attr( $instance[ 'style' ] );
        $size 					= empty( $instance[ 'size' ] ) 					? '' 		: esc_attr( $instance[ 'size' ] );
        $shape 					= empty( $instance[ 'shape' ] ) 				? '' 				: esc_attr( $instance[ 'shape' ] );
        $full_width 			= empty( $instance[ 'full_width' ] ) 			? '' 				: esc_attr( $instance[ 'full_width' ] );
        $color 					= empty( $instance[ 'color' ] ) 				? '' 				: esc_attr( $instance[ 'color' ] );
        $hover_color 			= empty( $instance[ 'hover_color' ] ) 			? '' 				: esc_attr( $instance[ 'hover_color' ] );
        $bg_color 				= empty( $instance[ 'bg_color' ] ) 				? '' 				: esc_attr( $instance[ 'bg_color' ] );
        $hover_bg_color 		= empty( $instance[ 'hover_bg_color' ] ) 		? '' 				: esc_attr( $instance[ 'hover_bg_color' ] );
        $border_style 			= empty( $instance[ 'border_style' ] ) 			? 'solid' 			: esc_attr( $instance[ 'border_style' ] );
        $hover_border_style 	= empty( $instance[ 'hover_border_style' ] ) 	? 'solid' 			: esc_attr( $instance[ 'hover_border_style' ] );
        $border_width 			= empty( $instance[ 'border_width' ] ) 			? '' 				: esc_attr( $instance[ 'border_width' ] );
        $hover_border_width 	= empty( $instance[ 'hover_border_width' ] ) 	? '' 				: esc_attr( $instance[ 'hover_border_width' ] );
        $border_color 			= empty( $instance[ 'border_color' ] ) 			? '' 				: esc_attr( $instance[ 'border_color' ] );
        $hover_border_color 	= empty( $instance[ 'hover_border_color' ] ) 	? '' 				: esc_attr( $instance[ 'hover_border_color' ] );
        $text_size 				= empty( $instance[ 'text_size' ] ) 			? '' 				: esc_attr( $instance[ 'text_size' ] );
        $text_transform 		= empty( $instance[ 'text_transform' ] ) 		? '' 				: esc_attr( $instance[ 'text_transform' ] );
        $icon_size 				= empty( $instance[ 'icon_size' ] ) 			? '' 				: esc_attr( $instance[ 'icon_size' ] );
        $icon_color 			= empty( $instance[ 'icon_color' ] ) 			? '' 				: esc_attr( $instance[ 'icon_color' ] );
        $hover_icon_color 		= empty( $instance[ 'hover_icon_color' ] ) 		? '' 				: esc_attr( $instance[ 'hover_icon_color' ] );
        $margin 				= empty( $instance[ 'margin' ] ) 				? '' 				: esc_attr( $instance[ 'margin' ] );
        $icon_pack				= empty( $instance[ 'icon_pack' ] ) 			? ''			 	: esc_attr( $instance[ 'icon_pack' ] );
		$icon_fa				= empty( $instance[ 'icon_fa' ] ) 				? '' 				: esc_attr( $instance[ 'icon_fa' ] );
		$icon_ei				= empty( $instance[ 'icon_ei' ] ) 				? '' 				: esc_attr( $instance[ 'icon_ei' ] );
		$icon_position			= empty( $instance[ 'icon_position' ] )			? 'left'			: esc_attr( $instance[ 'icon_position' ] );
        $space_bw_icon_text		= empty( $instance[ 'space_bw_icon_text' ] )	? '' 				: esc_attr( $instance[ 'space_bw_icon_text' ] );

		print_r($before_widget);
	
        echo do_shortcode("[aerious_button text='$text' link='$link' target='$target' style='$style' size='$size' shape='$shape' full_width='$full_width' color='$color' hover_color='$hover_color' bg_color='$bg_color' hover_bg_color='$hover_bg_color' border_style='$border_style' hover_border_style='$hover_border_style' border_width='$border_width' hover_border_width='$hover_border_width' border_color='$border_color' hover_border_color='$hover_border_color' text_size='$text_size' text_transform='$text_transform' icon_size='$icon_size' icon_color='$icon_color' hover_icon_color='$hover_icon_color' margin='$margin' icon_pack = '$icon_pack' icon_fa = '$icon_fa' icon_ei = '$icon_ei' icon_position = '$icon_position' space_bw_icon_text = '$space_bw_icon_text' ]");
		
		print_r($after_widget);
		
	}
}
