<?php

class AeriousContact extends AeriousWidget {
	protected $params;
	public function __construct() {
		parent::__construct(
			'aerious_contact_widget',
			__( 'Aerious - Contact', 'aerious' ),
			array( 'description' 	=> esc_html__( 'Contact Info', 'aerious' ), )
		);

		$this->setParams();
	}

	protected function setParams() {
		
		$this->params = array(
			array(
				'name' 			=> 'title',
				'type' 			=> 'textfield',
				'title' 		=> __( 'Title', 'aerious' ),
			),
			array(
				'name' 			=> 'img',
				'type' 			=> 'image-uploader',
				'title' 		=> __( 'Image', 'aerious' ),
			),
			array(
				'name' 			=> 'content',
				'type' 			=> 'textarea',
				'title' 		=> __( 'Content', 'aerious' ),
				'rows' 	=> '6'
			),
			array(
				'name' 			=> 'address',
				'type' 			=> 'textfield',
				'title' 		=> __( 'Address', 'aerious' ),
			),
			array(
				'name' 			=> 'phone',
				'type' 			=> 'textfield',
				'title'			=> __( 'Phone', 'aerious' ),
			),
			array(
				'name' 			=> 'email',
				'type' 			=> 'textfield',
				'title' 		=> __( 'Email', 'aerious' ),
			),
			array(
				'name' 			=> 'time',
				'type' 			=> 'textfield',
				'title'			=> __( 'Time', 'aerious' ),
			),
			array(
				'name' 			=> 'text_color',
				'type' 			=> 'colorpicker',
				'title' 		=> __( 'Text Color', 'aerious' ),
			),
		);
	}

	public function widget( $args, $instance) {
		
		extract ( $args );
		
        $title 		= apply_filters( 'widget_title', isset( $instance['title'] ) ? $instance['title'] : '' );
        $img 		= $instance[ 'img' ];
        $address 	= $instance[ 'address' ];
        $phone 		= $instance[ 'phone' ];
        $email 		= $instance[ 'email' ];
        $content 	= $instance[ 'content' ];
        $time 		= $instance[ 'time' ];
        $text_color = $instance[ 'text_color' ];

        $styles_text = $text_color ? 'color:' . esc_attr( $text_color ) . '; ' : '';

			print_r($before_widget);
		if ( ! empty( $styles_text ) ) {
			echo '<div '. aerious_add_inline_styling( $styles_text ) .'>';
		}
			if ( $title ) {
			  print_r($before_title) ;
					echo esc_html( $title ) ;
					print_r($after_title);
			}
			
			if ( $img ) : ?>
				<div class="aerious-contact-img"><img src="<?php echo esc_url( $img ); ?>" <?php echo aerious_get_image_dimensions( esc_url( $img ) ); ?> /></div>
			<?php endif; ?>
			
			<?php if ( $content ) : ?>
				<p class="aerious-contact-content"><?php echo esc_textarea( $content ) ?></p>
			<?php endif; ?>
			
			<ul class="aerious-contact-list">
				<?php if ( $phone ) : ?>
					<li class="aerious-contact-phone"><i class="fa fa-phone"></i><?php echo esc_html( $phone ) ?></li>
				<?php endif; ?>
				
				<?php if ( $address ): ?>
					<li class="aerious-contact-address"><i class="fa fa-map-marker"></i><?php echo esc_html( $address ) ?></li>
				<?php endif; ?>
				
				<?php if ( $email ) : ?>
					<li class="aerious-contact-email"><i class="fa fa-mail-forward"></i><a href="mailto:<?php echo esc_attr( $email ); ?>"><?php echo esc_html( $email ); ?></a></li>
				<?php endif; ?>
				
				<?php if ( $time ): ?>
					<li class="aerious-contact-time"><i class="fa fa-clock-o"></i><?php echo esc_html( $time ) ?></li>
				<?php endif; ?>
			</ul> <?php
		if ( ! empty( $styles_text ) ) {
			echo '</div>';
		}
			print_r($after_widget);
	
	}
}