<?php
class AeriousFacebook extends AeriousWidget {
	protected $params;
	function __construct() {
	parent::__construct(
		// Base ID of your widget
		'aerious_facebook', 
		
		// Widget name will appear in UI
		__( 'Aerious - Facebook Page Like', 'aerious' ),
		
		// Widget description
		array( 'description' 	=> esc_html__( 'Facebook Page Like Widget', 'aerious' ) ) 
		);
		$this->setParams();
	}
	
	protected function setParams() {
		$this->params = array(
			array(
				'name'		=> 'title',
				'type'		=> 'textfield',
				'title'		=> __( 'Title', 'aerious' )
			),
			array(
				'name'		=> 'fb_page_url',
				'type'		=> 'textfield',
				'title'		=> __( 'Facebook Page URL', 'aerious' )
			),
			array(
				'name'		=> 'width',
				'type'		=> 'number',
				'title'		=> __( 'Width', 'aerious' )
			),
			array(
				'name'		=> 'height',
				'type'		=> 'number',
				'title'		=> __( 'Height', 'aerious' )
			),
			array(
				'name'		=> 'fb_posts',
				'type'		=> 'dropdown',
				'title'		=> __( 'Show Posts', 'aerious' ),
				'options' 	=> array(
							'true'	=> __( 'yes', 'aerious' ),
							'false'	=> __( 'No', 'aerious' )
						)
			),
			array(
				'name'		=> 'hide_cover',
				'type'		=> 'dropdown',
				'title'		=> __( 'Hide Cover', 'aerious' ),
				'options' 	=> array(
							'false'	=> __( 'No', 'aerious' ),
							'true'	=> __( 'yes', 'aerious' )
						),
				'description' 	=> __( 'Hide cover photo in the header', 'aerious' )
			),
			array(
				'name'		=> 'small_header',
				'type'		=> 'dropdown',
				'title'		=> __( 'Show Small Header', 'aerious' ),
				'options' 	=> array(
								'false'	=> __( 'No', 'aerious' ),
								'true'	=> __( 'yes', 'aerious' ),
							)
			),
			array(
				'name'		=> 'facepile',
				'type'		=> 'dropdown',
				'title'		=> __( 'Show Profile Photos', 'aerious' ),
				'options' 	=> array(
								'true'	=> __( 'yes', 'aerious' ),
								'false'	=> __( 'No', 'aerious' )
							),
				'description'	=> __( 'Show profile photos when friends like this', 'aerious' )
			),
		);
	}
	
	public function widget( $args, $instance ) {
		
		extract ( $args );
		$title	= apply_filters ( 'widget_title', $instance[ 'title' ] );
		$width	= !empty( $instance['width'] ) ? $instance['width'] : '300';
		$height	= !empty( $instance['height'] ) ? $instance['height'] : '350';
		
			print_r($before_widget);
			if ( ! empty( $title ) ){
				print_r($before_title) ;
					echo esc_html( $title ) ;
					print_r($after_title);
			}
		?>
        
        	<div class="fb-page" data-href=<?php echo esc_attr( $instance['fb_page_url'] ); ?> data-width=<?php echo esc_attr( $width ); ?> data-height=<?php echo esc_attr( $height ); ?> data-small-header=<?php echo esc_attr( $instance['small_header'] ); ?> data-hide-cover=<?php echo esc_attr( $instance['hide_cover'] ); ?> data-show-facepile=<?php echo esc_attr( $instance['facepile'] ); ?> data-show-posts=<?php echo esc_attr( $instance['fb_posts'] );?>></div>
		<?php		
			print_r($after_widget);
		
		wp_register_script( 'aerious-fb-script', get_template_directory_uri() . "/assets/js/facebook.js", array ( 'jquery' ), null, true );
        wp_enqueue_script( 'aerious-fb-script' );
	}

}
?>