<?php
class AeriousFlickr extends AeriousWidget {
	protected $params;
	function __construct() {
	parent::__construct(
		// Base ID of your widget
		'aerious_flickr', 
		
		// Widget name will appear in UI
		__( 'Aerious - Flickr', 'aerious' ),
		
		// Widget description
		array( 'description' 	=> esc_html__( 'Display flickr photos', 'aerious' ), ) 
		);
		$this->setParams();
	}
	
	
	protected function setParams() {
		$this->params = array(
			array(
				'name' 			=> 'title',
				'type' 			=> 'textfield',
				'title' 		=> __( 'Title', 'aerious' )
			),
			array(
				'name' 			=> 'client_id',
				'type' 			=> 'textfield',
				'title' 		=> __( 'User ID', 'aerious' )
			),
			array(
				'name' 			=> 'num_of_posts',
				'type' 			=> 'number',
				'title' 		=> __( 'Number of Images to display', 'aerious' )
			),
			array(
				'name' 			=> 'inst_sort',
				'type' 			=> 'dropdown',
				'title' 		=> __( 'Sort By', 'aerious' ),
				'options' 		=> array(
									'newest' => __( 'Newest to oldest', 'aerious' ),
									'random' => __( 'Random', 'aerious' )
								)
			),
			array(
				'name' 			=> 'num_of_cols',
				'type' 			=> 'dropdown',
				'title' 		=> __( 'Columns', 'aerious' ),
				'options' 		=> array(
									'2' => __( 'Two', 'aerious' ),
									'3' => __( 'Three', 'aerious' ),
									'4' => __( 'Four', 'aerious' )
								)
			),
		);
	}
	
	public function widget( $args, $instance ) {
		
		extract ( $args );
		$title 			= apply_filters ( 'widget_title', $instance[ 'title' ] );
		$client_id 		= $instance['client_id'];
		$num_of_posts 	= $instance['num_of_posts'];
		$inst_sort 		= $instance['inst_sort'];
		$num_of_cols 	= $instance['num_of_cols'];
		
		print_r($before_widget);
			
			if ( ! empty( $title ) ){
				print_r($before_title) ;
					echo esc_html( $title ) ;
					print_r($after_title);
			}

			if( !empty( $client_id ) ){
				$params = array(
				'api_key'	=> 'e1592767fd7a8c288a3f54fa52919d5b',
				'method'	=> 'flickr.photos.search',
				'user_id'	=>  $client_id,
				'format'	=> 'php_serial',
				'content_type' => '1'
				);
				
				$encoded_params = array();
				foreach ( $params as $k => $v ){
				
					$encoded_params[] = urlencode( $k ).'='.urlencode( $v );
				}
				$url 		= "https://api.flickr.com/services/rest/?".implode( '&', $encoded_params );
				$rsp 		= wp_remote_get( $url);
				$rsp_obj	= unserialize( $rsp['body']);
				if( isset( $rsp_obj['stat'] ) && $rsp_obj['stat'] == 'fail' ){ 
					_e( 'Invalid user id', 'aerious' );
				} else{
					$size_of_inst_posts	= sizeof( $rsp_obj['photos']['photo']);
					
					if ( ! empty( $inst_sort ) && $inst_sort=='random' ){
						if(!empty( $rsp_obj['photos']['photo'])){
							shuffle( $rsp_obj['photos']['photo']);
						}
					}
					
					if ( empty( $num_of_cols) || $num_of_cols==0){
							$num_of_cols=2;
					} else{
						if ( $num_of_cols == 2){
							$class = 'col-md-6 col-xs-12';
						}else if ( $num_of_cols == 3){
							$class = 'col-md-4 col-xs-12';
						}else if ( $num_of_cols == 4){
							$class = 'col-md-3 col-xs-12';
						}
					}
					
					if ( empty( $num_of_posts ) || $num_of_posts == 0){
							$num_of_posts	=	$size_of_inst_posts;
					}
					$photo	=	$rsp_obj['photos']['photo'];
					$i=0;
				
					echo '<ul class="aerious-flickr-grid">';
						foreach( $photo as $val){
							$i= $i + 1;
							if( $i <= $num_of_posts){
								$photo_id	=	$val['id'];
								$user_id	=	$val['owner'];
								$secret		=	$val['secret'];
								$farm_id	=	$val['farm'];
								$server_id	=	$val['server'];
								
								$params_image = array(
									'api_key'	=> 'e1592767fd7a8c288a3f54fa52919d5b',
									'method'	=> 'flickr.photos.getInfo',
									'photo_id'	=> $photo_id,
									'format'	=> 'php_serial'
								);
													
								$encoded_params_image = array();
								
								foreach ( $params_image as $k => $v){
								
									$encoded_params_image[] = urlencode( $k).'='.urlencode( $v);
								}
								$url_image = "https://api.flickr.com/services/rest/?".implode( '&', $encoded_params_image);
							
								$rsp_image = wp_remote_get( $url_image);
								$rsp_obj_image = unserialize( $rsp_image['body']);
								if ( array_key_exists( 'originalformat', $rsp_obj_image['photo'] ) ) {
									if ( $rsp_obj_image['stat'] == 'ok' ){
										$img_format	=	$rsp_obj_image['photo']['originalformat'];
										$orig_secret	=	$rsp_obj_image['photo']['originalsecret'];
									}else{
										esc_html_e( 'Call failed!', 'aerious' );
									}
								}
								if(!empty( $img_format) && !empty( $orig_secret)){
									
									echo '<li class="'.$class.'"><a href="http://www.flickr.com/photos/'. esc_attr( $user_id ) .'/'. esc_attr( $photo_id ) .'/" target="_blank"><img src="https://farm'. esc_attr( $farm_id ) .'.staticflickr.com/'. esc_attr( $server_id ) .'/'. esc_attr( $photo_id ) .'_'. esc_attr( $orig_secret ) .'_o.'. esc_attr( $img_format ) .'" alt="'. esc_html__( 'flickr', 'aerious' ) .'"></a></li>';	
								
								}
							}
							
						}
					echo '</ul>';
					echo '<div class="clear"></div>';	
				}
			} else{
				esc_html_e( 'Please enter user id', 'aerious' );
			}
		print_r($after_widget);
	}

}
?>