<?php

class AeriousIconList extends AeriousWidget {
	protected $params;
	public function __construct() {
		parent::__construct(
			'aerious_icon_list_widget', // Base ID
			__( 'Aerious - Icon List Item', 'aerious' ), // Name
			array( 'description' 	=> esc_html__( 'Icon List Item', 'aerious' ), ) // Args
		);

		$this->setParams();
	}

	protected function setParams() {
		$this->params = array(
			array(
				'name' 			=> 'title',
				'type' 			=> 'textfield',
				'title' 		=> __( 'Text', 'aerious' ),
			),
			array(
				'name' 			=> 'title_color',
				'type' 			=> 'colorpicker',
				'title' 		=> __( 'Text Color', 'aerious' ),
			),
			array(
				'name' 			=> 'icon_pack',
				'type' 			=> 'dropdown',
				'title' 		=> __( 'Icon Pack', 'aerious' ),
				'options' 		=> array(
									'' 				=> __( 'No Icon', 'aerious' ),
									'fontawesome' 	=> __( 'Font Awesome', 'aerious' ),
									'eleganticons' 	=> __( 'Elegant Icons', 'aerious' ),
								)
			),
			array(
				'name' 			=> 'icon_fa',
				'type' 			=> 'icon-list',
				'title' 		=> __( 'Fontawesome', 'aerious' ),
			),
			array(
				'name' 			=> 'icon_ei',
				'type' 			=> 'icon-list',
				'title' 		=> __( 'Elegant Icons', 'aerious' ),
			),
			array(
				'name' 			=> 'icon_size',
				'type' 			=> 'textfield',
				'title' 		=> __( 'Icon Size', 'aerious' ),
			),
			array(
				'name' 			=> 'icon_color',
				'type' 			=> 'colorpicker',
				'title' 		=> __( 'Icon Color', 'aerious' ),
			),
			array(
				'name' 			=> 'link',
				'type' 			=> 'textfield',
				'title' 		=> __( 'Link', 'aerious' ),
			),
			array(
				'name' 			=> 'target',
				'type' 			=> 'dropdown',
				'title' 		=> __( 'Target', 'aerious' ),
				'options' 		=> array(
									'_self' 	=> __( 'Same Window', 'aerious' ),
									'_blank' 	=> __( 'New Window', 'aerious' ),
								)
			),
			array(
				'name' 			=> 'padding_right',
				'type' 			=> 'textfield',
				'title' 		=> __( 'Spacing between Title and Icon', 'aerious' ),
			),
			array(
				'name' 			=> 'margin_bottom',
				'type' 			=> 'textfield',
				'title' 		=> __( 'Margin Bottom', 'aerious' ),
			),
		);
	}

	public function widget( $args, $instance) {

		extract ( $args );
		$icon_pack				= empty( $instance[ 'icon_pack' ] ) 			? '' 			: $instance[ 'icon_pack' ];
		$icon_fa				= empty( $instance[ 'icon_fa' ] ) 				? '' 			: $instance[ 'icon_fa' ];
		$icon_ei				= empty( $instance[ 'icon_ei' ] ) 				? '' 			: $instance[ 'icon_ei' ];
		$icon_size				= empty( $instance[ 'icon_size' ] ) 			? '' 			: $instance[ 'icon_size' ];
		$icon_color				= empty( $instance[ 'icon_color' ] ) 			? '' 			: $instance[ 'icon_color' ];
		$title_color			= empty( $instance[ 'title_color' ] ) 			? '' 			: $instance[ 'title_color' ];
		$title 					= empty( $instance[ 'title' ] ) 				? '' 			: $instance[ 'title' ];
		$link 					= empty( $instance[ 'link' ] ) 					? '' 			: $instance[ 'link' ];
		$target 				= empty( $instance[ 'target' ] ) 				? '' 			: $instance[ 'target' ];
		$padding_right 			= empty( $instance[ 'padding_right' ] ) 		? '' 			: $instance[ 'padding_right' ];
		$margin_bottom 			= empty( $instance[ 'margin_bottom' ] ) 		? '' 			: $instance[ 'margin_bottom' ];
		print_r($before_widget);

		echo do_shortcode("[aerious_icon_list_item icon_pack = '$icon_pack' icon_fa='$icon_fa' icon_ei = '$icon_ei' icon_size = '$icon_size' icon_color='$icon_color' title_color='$title_color' title='$title' link='$link' target='$target' padding_right='$padding_right' margin_bottom='$margin_bottom']");
		
		print_r($after_widget);
	}
}
