<?php
class AeriousImageUploader extends AeriousWidget {
	protected $params;
	function __construct() {
	parent::__construct(
		// Base ID of your widget
		'aerious_image_uploader', 
		
		// Widget name will appear in UI
		__( 'Aerious - Image Uploader', 'aerious' ),
		
		// Widget description
		array( 'description' 	=> esc_html__( 'Upload image using wordpress media library', 'aerious' ), ) 
		);
		$this->setParams();
	}
	
	protected function setParams() {
		$this->params = array(
			array(
				'name' 			=> 'title',
				'type' 			=> 'textfield',
				'title' 		=> __( 'Title', 'aerious' )
			),
			array(
				'name' 			=> 'img_path',
				'type' 			=> 'image-uploader',
				'title' 		=> __( 'Upload Image', 'aerious' ),
			),
			array(
				'name' 			=> 'img_link',
				'type' 			=> 'textfield',
				'title' 		=> __( 'Image Link', 'aerious' ),
			),
			array(
				'name' 			=> 'target',
				'type' 			=> 'dropdown',
				'title' 		=> __( 'Target', 'aerious' ),
				'options' 		=> array(
									'_blank' 	=> __( 'New Window', 'aerious' ),
									'_self' 	=> __( 'Same Window', 'aerious' ),
								)
			),
		);
	}
	
	public function widget( $args, $instance ) {
		
		extract ( $args );
		$title = apply_filters( 'widget_title', $instance['title'] );
		$img_link = esc_attr( $instance['img_link'] ) ;
		$img_path = esc_attr( $instance['img_path'] );
		$target = empty( $instance[ 'target' ] ) ? '_self' 	: $instance[ 'target' ];
		
		print_r($before_widget);
		
		if ( ! empty( $title ) ){
			print_r($before_title) ;
					echo esc_html( $title ) ;
					print_r($after_title);
		}
		if ( $img_path ){
			if( $img_link ){
				echo '<a href="'.esc_url( $img_link ).'" target="$target"><img src="'. esc_url( $img_path ) . '"  ' . aerious_get_image_dimensions( esc_url( $img_path ) ) . '></a>';
			} else{
				echo '<img src="'. esc_url( $img_path ).'"  alt="' . esc_html__('Image Uploader', 'aerious' ) . '" ' . aerious_get_image_dimensions( esc_url( $img_path ) ) . ' >';
			}
			
		}
		
		print_r($after_widget);
	}
}
?>