<?php
class AeriousInstagram extends AeriousWidget {
	protected $params;
	function __construct() {
	parent::__construct(
		// Base ID of your widget
		'aerious_instagram', 
		
		// Widget name will appear in UI
		__( 'Aerious - Instagram', 'aerious' ),
		
		// Widget description
		array( 'description' 	=> esc_html__( 'Display instagram photos and videos', 'aerious' ) ) 
		);
		$this->setParams();
	}
	
	
	protected function setParams() {
		$this->params = array(
			array(
				'name' 			=> 'title',
				'type' 			=> 'textfield',
				'title' 		=> __( 'Title', 'aerious' )
			),
			array(
				'name' 			=> 'client_id',
				'type' 			=> 'textfield',
				'title' 		=> __( 'User ID', 'aerious' )
			),
			array(
				'name' 			=> 'client_secret',
				'type' 			=> 'textarea',
				'title'			=> __( 'Access Token', 'aerious' ),
				'rows' 			=> '3'
			),
			array(
				'name' 			=> 'num_of_posts',
				'type' 			=> 'number',
				'title' 		=> __( 'Number of Images/Videos to display', 'aerious' )
			),
			array(
				'name' 			=> 'inst_post_type',
				'type' 			=> 'dropdown',
				'title' 		=> __( 'Display Type', 'aerious' ),
				'options' 		=> array(
									'both' 	=> __( 'Both', 'aerious' ),
									'image' => __( 'Images', 'aerious' ),
									'video' => __( 'Videos', 'aerious' )
								)
			),
			array(
				'name' 			=> 'inst_sort',
				'type' 			=> 'dropdown',
				'title' 		=> __( 'Sort By', 'aerious' ),
				'options' 		=> array(
									'newest' => __( 'Newest to oldest', 'aerious' ),
									'random' => __( 'Random', 'aerious' )
								)
			),
			array(
				'name' 			=> 'num_of_cols',
				'type' 			=> 'dropdown',
				'title' 		=> __( 'Columns', 'aerious' ),
				'options' 		=> array(
									'2' => __( 'Two', 'aerious' ),
									'3' => __( 'Three', 'aerious' ),
									'4' => __( 'Four', 'aerious' )
								)
			),
		);
	}
	
	public function widget( $args, $instance ) {
		
		extract ( $args );
		$title 			= apply_filters ( 'widget_title', $instance[ 'title' ] );
		$client_id 		= esc_attr( $instance['client_id'] );
		$client_secret 	= esc_attr( $instance['client_secret'] );
		$num_of_posts 	= esc_attr( $instance['num_of_posts'] );
		$inst_post_type = esc_attr( $instance['inst_post_type'] );
		$inst_sort 		= esc_attr( $instance['inst_sort'] );
		$num_of_cols 	= esc_attr( $instance['num_of_cols'] );
		
		if ( ! empty( $client_id ) && ! empty( $client_secret) ){
			
			print_r($before_widget);
			
			$result = wp_remote_get("https://api.instagram.com/v1/users/$client_id/media/recent/?access_token=$client_secret");
			
			if( isset( $result['response']['code'] ) && $result['response']['code'] == '400' ){ 
				_e( 'Invalid user id or access token', 'aerious' );
			} else{
				$result = json_decode( $result['body'] );
				$total_posts = sizeof( $result->data );
				$size_of_inst_posts	=	sizeof( $result->data );
			
				if ( ! empty( $inst_sort ) && $inst_sort == 'random' ){
					if(!empty( $result->data ) ){
						shuffle( $result->data );
					}
				}
				
				if ( empty( $num_of_cols ) || $num_of_cols == 0 ){
					$class = 'col-md-6 col-xs-12';
				} else{
					if ( $num_of_cols == 2 ){
						$class = 'col-md-6 col-xs-12';
					}else if ( $num_of_cols == 3 ){
						$class = 'col-md-4 col-xs-12';
					}else if ( $num_of_cols == 4 ){
						$class = 'col-md-3 col-xs-12';
					}
				}
				
				if ( empty( $num_of_posts ) || $num_of_posts == 0 ){
					$num_of_posts	=	$size_of_inst_posts;
				}
				
				$i = 0;
				
				if ( ! empty( $title ) ){
					print_r($before_title) ;
					echo esc_html( $title ) ;
					print_r($after_title);
				}
				
				echo '<ul class="aerious-instagram-grid">';
				
					foreach( ( array ) $result->data as $post ) {
						
						if( ! empty( $inst_post_type ) && $inst_post_type != 'both' ){
							
							if( $post->type == $inst_post_type ){				
								$i = $i + 1;
								if( $i <= $num_of_posts ){ ?>
									<li class="<?php print_r($class); ?>"><a href="<?php echo esc_url( $post->link ); ?>" target="_blank"><img src="<?php echo esc_url( $post->images->thumbnail->url ); ?>" <?php echo aerious_get_image_dimensions( esc_url( $post->images->thumbnail->url ) ); ?>  class="instagram_img"></a></li> <?php 	
								}
							}
						} else{
							$i = $i + 1;
							if( $i <= $num_of_posts ){ ?>
								<li class="<?php print_r($class); ?>"><a href="<?php echo esc_url( $post->link ); ?>" target="_blank"><img src="<?php echo esc_url( $post->images->thumbnail->url ); ?>" <?php echo aerious_get_image_dimensions( esc_url( $post->images->thumbnail->url ) ); ?> class="instagram_img"></a></li> <?php
							}
						}
						
					}
					
				echo '</ul>';
				echo '<div class="clear"></div>';
				
			}
			
			print_r($after_widget);
		}
	}

}
?>