<?php

class AeriousLatestPortfolios extends AeriousWidget {
	protected $params;
	public function __construct() {
		parent::__construct(
			'aerious_latest-portfolios_widget', // Base ID
			__( 'Aerious - Latest Portfolios', 'aerious' ) // Name
		);

		$this->setParams();
	}

	protected function setParams() {
		
		$this->params = array(
			array(
				'name' 			=> 'title',
				'type' 			=> 'textfield',
				'title' 		=> __( 'Title', 'aerious' ),
			),
			array(
				'name' 			=> 'type',
				'type' 			=> 'dropdown',
				'title' 		=> __( 'Type', 'aerious' ),
				'options' 		=> array(
									'' 			=> __( 'Basic', 'aerious' ),
									'lightbox' 	=> __( 'Lightbox', 'aerious' ),
								)
			),
			array(
				'name' 			=> 'no_of_posts',
				'type' 			=> 'textfield',
				'title' 		=> __( 'Number of Portfolios', 'aerious' ),
			),
			array(
				'name' 			=> 'columns',
				'type' 			=> 'dropdown',
				'title' 		=> __( 'Columns', 'aerious' ),
				'options' 		=> array(
									'2' => __( 'Two', 'aerious' ),
									'3' => __( 'Three', 'aerious' ),
									'4' => __( 'Four', 'aerious' ),
								)
			),
			
			array(
				'name' 			=> 'include_category',
				'type' 			=> 'textfield',
				'title' 		=> __( 'Include Category', 'aerious' ),
			),
			array(
				'name' 			=> 'exclue_category',
				'type' 			=> 'textfield',
				'title' 		=> __( 'Exclude Category', 'aerious' ),
			),

			
			array(
				'name' 			=> 'order_by',
				'type' 			=> 'dropdown',
				'title' 		=> __( 'Sorting Order', 'aerious' ),
				'options' 		=> array(
									'' 				=> __( 'Default', 'aerious' ),
									'id' 			=> __( 'ID', 'aerious' ),
									'title' 		=> __( 'Title', 'aerious' ),
									'name' 			=> __( 'Name/Slug', 'aerious' ),
									'date' 			=> __( 'Date', 'aerious' ),
									'menu_order' 	=> __( 'Menu Order', 'aerious' ),
									'rand' 			=> __( 'Random', 'aerious' ),
								)
			),
			array(
				'name' 			=> 'order',
				'type' 			=> 'dropdown',
				'title' 		=> __( 'Order', 'aerious' ),
				'options' 		=> array(
									'ASC' => __( 'ASC', 'aerious' ),
									'DESC' => __( 'DESC', 'aerious' ),
								)
			),
			
		);
	}

	public function widget( $args, $instance) {
		
		extract ( $args );
        $title 				= apply_filters ( 'widget_title', $instance[ 'title' ] );
        $type 				= $instance[ 'type' ];
        $no_of_posts 		= $instance[ 'no_of_posts' ];
        $include_category 	= $instance[ 'include_category' ];
        $exclude_category 	= $instance[ 'exclue_category' ];
        $order_by 			= $instance[ 'order_by' ];
        $order 				= $instance[ 'order' ];
        $columns 			= $instance[ 'columns' ];
		
		$include_category = empty( $include_category ) ? '' : explode(",", $include_category);
		$exclude_category = empty( $exclude_category ) ? '' : explode(",", $exclude_category);
        ?>

        <div class="aerious-latest-portfolio-widget">
            <?php
			
            if ( $title ) {
               print_r( $before_title); 
			   echo  esc_html( $title ) ;
				print_r($after_title);
            }
            ?>
			
			<?php
			$args = array(
				'post_type' => 'portfolio',
				'posts_per_page' => $no_of_posts,
				'order' => $order,
				'orderby' => $order_by,
			);
			if ( ! empty( $include_category ) ) {
				$args['tax_query'] = array(
					array(
						'taxonomy' 	=> 'portfolio-category',
						'field' 	=> 'id',
						'terms' 	=> $include_category,
					)
				);
			}
			else if ( ! empty( $exclude_category ) ) {
				$args['tax_query'] = array(
					array(
						'taxonomy' 	=> 'portfolio-category',
						'field' 	=> 'id',
						'terms' 	=> $exclude_category,
						'operator' 	=> 'NOT IN',
					)
				);
			}
			
			$the_query = new WP_Query( $args );
			
			if ( $columns == 2 ){
				$class = 'col-md-6 col-xs-12';
			}else if ( $columns == 3 ){
				$class = 'col-md-4 col-xs-12';
			}else if ( $columns == 4 ){
				$class = 'col-md-3 col-xs-12';
			}
					
			if( $type ) : ?>
			<ul class="aerious-portfolios-grid aerious-lightbox-gallery grid" data-delegate="li a">
			<?php else: ?>
			<ul class="aerious-portfolios-grid">
			<?php endif; ?>
				<?php
				
				if ( $the_query->have_posts() ) :
				while ( $the_query->have_posts() ) : $the_query->the_post(); ?>
					<?php
					if( $type ){
						$link = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'full' , false );
						$link = $link[0];
					}else{
						$link = get_permalink();
					}
					?>
					<li <?php post_class( $class ); ?>>
						<a href="<?php echo esc_url( $link ); ?>" title="<?php the_title(); ?>"> <?php the_post_thumbnail( 'medium' ); ?> </a>
					</li>
					
				<?php endwhile; wp_reset_postdata();
				endif;
				
				?>
			
			</ul>
			
		</div><?php
	}
}
