<?php

class AeriousRegLog extends AeriousWidget {
	protected $params;
	public function __construct() {
		parent::__construct(
			'aerious_reg_log_widget',
			__( 'Aerious - Register/Login', 'aerious' ),
			array( 'description' 	=> esc_html__( 'Aerious users can be Registered and Logged in', 'aerious' ) ) 
		);

		$this->setParams();
	}

	protected function setParams() {
		
		$this->params = array(
			array(
				'name' 			=> 'new_user',
				'type' 			=> 'textfield',
				'title' 		=> __( 'New User', 'aerious' ),
				'description' 	=> sprintf( esc_html__( 'Enter %1$s for login link. Enter %2$s for Registerataion link', 'aerious' ), '{{login}}', '{{register}}' )
				
			),
			array(
				'name' 			=> 'login_button',
				'type' 			=> 'textfield',
				'title' 		=> __( 'Login Text', 'aerious' ),
				'description' 	=> __( 'Text for login link', 'aerious' ),
			),
			array(
				'name' 			=> 'register_button',
				'type' 			=> 'textfield',
				'title' 		=> __( 'Register Text', 'aerious' ),
				'description' 	=> __( 'Text for Registeration link', 'aerious' ),
			),
			array(
				'name' 			=> 'user',
				'type' 			=> 'textfield',
				'title' 		=> __( 'User Logged in', 'aerious' ),
				'description' 	=> sprintf( esc_html__( ' Enter %1$s to display username. Enter %2$s to display email. Enter %3$s to display first name. Enter %4$s to display last name. Enter %5$s to display user display name.', 'aerious' ), '{{username}}', '{{email}}', '{{firstname}}', '{{lastname}}', '{{displayname}}' ),
			),
			array(
				'name' 			=> 'text_color',
				'type' 			=> 'colorpicker',
				'title' 		=> __( 'Text Color', 'aerious' ),
			),
		);
	}

	public function widget( $args, $instance) {
		
		extract ( $args );
		
		$login_button 		= empty( $instance[ 'login_button' ] ) ? esc_html__( 'Login', 'aerious' ) : esc_html( $instance[ 'login_button' ] );
		$register_button 	= empty( $instance[ 'register_button' ] ) ? esc_html__( 'Create an Account', 'aerious' ) : esc_html( $instance[ 'register_button' ] );
		$text_color 		= empty( $instance[ 'text_color' ] ) ? '' : $instance[ 'text_color' ];
		$log_but 			= '<a data-toggle="modal" data-target="#log">'. $login_button .'</a>';
		$reg_but 			= '<a data-toggle="modal" data-target="#reg">'. $register_button .'</a>';
		$login 				= array("{{login}}", "{{register}}");
		$register   		= array( $log_but, $reg_but);
		$new_user 			= esc_html( $instance[ 'new_user' ] );
		$new_user_update 	= str_replace( $login, $register, $new_user);
		$user 				= esc_html( $instance[ 'user' ] );
		
		$styles_text 		= $text_color ? 'color:' . esc_attr( $text_color ) . '; ' : '';

		print_r($before_widget); ?>
		
		<div class="aerious-reg-log-widget">
			<?php
			if ( is_user_logged_in() ) {
				$current_user 				= wp_get_current_user();
				$current_user_name 			= array("{{username}}", "{{email}}", "{{firstname}}", "{{lastname}}", "{{displayname}}");
				$current_user_name_replace 	= array( $current_user->user_login, $current_user->user_email, $current_user->user_firstname, $current_user->user_lastname, $current_user->display_name);
				$user_update 				= str_replace( $current_user_name, $current_user_name_replace, $user);
				if ( $user ){
					echo '<span ' . aerious_add_inline_styling( $styles_text ) .' >'. esc_html( $user_update ) . '</span>';
				}
			}
			else {
				$allowed_html = array(
					'a' => array(
						'href' => array(),
						'title' => array(),
						'data-toggle' => array(),
						'data-target' => array(),

					),
				);
				if ( $new_user ) :
					echo '<span ' . aerious_add_inline_styling( $styles_text ) .' >' . wp_kses( $new_user_update, $allowed_html ) . '</span>'; ?>
				<?php
				endif;
			} ?>
			
        </div> <?php
		
		print_r($after_widget);
		
	}
}