<?php
class AeriousTwitter extends AeriousWidget {
	protected $params;
	function __construct() {
	parent::__construct(
		// Base ID of your widget
		'aerious_twitter', 
		
		// Widget name will appear in UI
		__( 'Aerious - Twitter', 'aerious' ),
		
		// Widget description
		array( 'description' 	=> esc_html__( 'Display latest tweets', 'aerious' ), ) 
		);
		$this->setParams();
	}
	
	protected function setParams() {
		$this->params = array(
			array(
				'name' 			=> 'title',
				'type' 			=> 'textfield',
				'title' 		=> __( 'Title', 'aerious' )
			),
			array(
				'name' 			=> 'widget_id',
				'type' 			=> 'textfield',
				'title' 		=> __( 'Twitter Widget ID', 'aerious' )
			),
			array(
				'name' 			=> 'user_name',
				'type' 			=> 'textfield',
				'title' 		=> __( 'Twitter User Name', 'aerious' )
			),
			array(
				'name' 			=> 'tweet_limit',
				'type' 			=> 'textfield',
				'title' 		=> __( 'Number of Tweets', 'aerious' ),
				'description' 	=> __( 'Enter number or leave empty to show default number of tweets 3', 'aerious' )
			),
			array(
				'name' 			=> 'width',
				'type' 			=> 'number',
				'title' 		=> __( 'Width', 'aerious' )
			),
			array(
				'name' 			=> 'height',
				'type' 			=> 'number',
				'title' 		=> __( 'Height', 'aerious' )
			),
			array(
				'name' 			=> 'color_scheme',
				'type' 			=> 'dropdown',
				'title' 		=> __( 'Color Scheme', 'aerious' ),
				'options' 		=> array(
									'light' => __( 'light', 'aerious' ),
									'dark' => __( 'Dark', 'aerious' )
								)
			),
			array(
				'name' 			=> 'link_color',
				'type' 			=> 'textfield',
				'title' 		=> __( 'Link Color', 'aerious' ),
				'description' 	=> __( 'e.g #12aec6', 'aerious' )
			),
			array(
				'name' 			=> 'border_color',
				'type' 			=> 'textfield',
				'title' 		=> __( 'Border Color', 'aerious' ),
				'description' 	=> __( 'e.g #eeeeee', 'aerious' )
			),
			array(
				'name' 			=> 'show_header',
				'type' 			=> 'dropdown',
				'title' 		=> __( 'Show Header', 'aerious' ),
				'options' 		=> array(
									'yes' => __( 'Yes', 'aerious' ),
									'no'  => __( 'No', 'aerious' )
								)
			),
			array(
				'name' 			=> 'show_footer',
				'type' 			=> 'dropdown',
				'title' 		=> __( 'Show Footer', 'aerious' ),
				'options' 		=> array(
									'yes' => __( 'Yes', 'aerious' ),
									'no'  => __( 'No', 'aerious' )
								)
			),
			array(
				'name' 			=> 'show_border',
				'type' 			=> 'dropdown',
				'title' 		=> __( 'Show Borders', 'aerious' ),
				'options' 		=> array(
									'yes' => __( 'Yes', 'aerious' ),
									'no'  => __( 'No', 'aerious' )
								)
			),
			array(
				'name' 			=> 'show_replies',
				'type' 			=> 'dropdown',
				'title' 		=> __( 'Show Replies', 'aerious' ),
				'options' 		=> array(
									'false'  => __( 'No', 'aerious' ),
									'true' => __( 'Yes', 'aerious' )
								)
			),
			array(
				'name' 			=> 'transparent_bg',
				'type' 			=> 'dropdown',
				'title' 		=> __( 'Transparent Background', 'aerious' ),
				'options' 		=> array(
									'no'  => __( 'No', 'aerious' ),
									'yes' => __( 'Yes', 'aerious' )
								)
			),
		);
	}
	
	public function widget( $args, $instance ) {
		
		extract ( $args );
		$title	= apply_filters ( 'widget_title', $instance[ 'title' ] );
		$width	= !empty( $instance['width'] ) ? $instance['width'] : '300';
		$height	= !empty( $instance['height'] ) ? $instance['height'] : '300';
		
		$data_chrome = array();
		$data_chrome[] = ( $instance['show_header'] == 'no' )? 'noheader': '';
		$data_chrome[] = ( $instance['show_footer'] == 'no' )? 'nofooter': '';
		$data_chrome[] = ( $instance['show_footer'] == 'no' )? 'noborders': '';
		$data_chrome[] = ( $instance['transparent_bg'] == 'yes' )? 'transparent': '';
		
		$twitter_atts = array(
			'data-widget-id'	=> $instance['widget_id'],
			'data-screen-name'	=> $instance['user_name'],
			'data-show-replies'	=> $instance['show_replies'],
			'data-theme'		=> $instance['color_scheme'],
			'data-link-color'	=> $instance['link_color'],
			'data-border-color'	=> $instance['border_color'],
			'data-chrome'		=> trim( join( ' ', $data_chrome ) )
		);

		$twitter_atts['data-tweet-limit'] = $instance['tweet_limit'] ? $instance['tweet_limit'] : '3';

		$twitter_data_attributes = '';
		foreach ( $twitter_atts as $key => $val ) {
			$twitter_data_attributes .= $key . '=' . '"' . esc_attr( $val ) . '"' . ' ';
		}
		
		print_r($before_widget);
		
			if ( ! empty( $title ) ){
				print_r( $before_title); 
			   echo  esc_html( $title ) ;
				print_r($after_title);
			}
		?>
        
		<a class="twitter-timeline" href="https://twitter.com/twitterdev" width=<?php echo esc_attr( $width); ?> height=<?php echo esc_attr( $height);?> <?php echo trim( $twitter_data_attributes ); ?>><?php esc_html_e( 'Tweets by @', 'aerious' ); ?><?php echo esc_html( $instance['user_name'] ); ?></a>
		
		<?php print_r($after_widget); 
		
		wp_register_script( 'aerious-twitter-script', get_template_directory_uri() . '/assets/js/twitter.js', array ( 'jquery' ), null, true );
		wp_enqueue_script( 'aerious-twitter-script' );
	}
	
}
?>